package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "(采购计划DTO)")
public class PurchasingPlanDTO {

    @ApiModelProperty(value = "集中采购申请明细ID")
    private String detailsOfCentralizedId;

    private double unitPrice;

    @ApiModelProperty(value = "采购计划id")
    private String purchasingPlanId;

    @ApiModelProperty(value = "申请数量)")
    private Integer numberOfApplications;

    @ApiModelProperty(value = "采购数量)")
    private Integer quantityPurchased;

    @ApiModelProperty(value = "试剂耗材ID")
    private String reagentConsumableId;

    @ApiModelProperty(value = "采购计划明细ID")
    private String procurementContentId;

    @ApiModelProperty(value = "换货试剂耗材ID")
    private String replacementReagentConsumableId;

    @ApiModelProperty(value = "换货数量")
    private Integer replacementQuantity;

    @ApiModelProperty(value = "换货单价")
    private Double replacementPrice;

    @ApiModelProperty(value = "采购计划明细修改备注")
    private String planRemark;

    @ApiModelProperty(value = "采购计划换货备注")
    private String replacementRemark;

    @ApiModelProperty(value = "换货供应商ID")
    private String supplierId;

}
