package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StandardMaterialApprovalFormDTO {
    @ApiModelProperty(value="(经办人)")
    private String agentName;

    @ApiModelProperty(value="(批号)")
    private String batchNumber;

    @ApiModelProperty(value="(定值结果)")
    private String fixedResult;

    @ApiModelProperty(value="(制造商)")
    private String manufacturerId;

    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    @ApiModelProperty(value="(标准物质名称)")
    private String referenceMaterialName;

    @ApiModelProperty(value="(购置时间)")
    private LocalDateTime purchaseTime;

    @ApiModelProperty(value="(处理时间)")
    private LocalDate processingTime;

    @ApiModelProperty(value="(数量)")
    private Integer quantity;

    @ApiModelProperty(value="(申请原因)")
    private String reasonForApplication;

    @ApiModelProperty(value="(标准物质id)")
    private String referenceMaterialId;

    @ApiModelProperty(value="(备注)")
    private String remarks;

    @ApiModelProperty(value="(规格)")
    private String specification;

    @ApiModelProperty(value="(申请内容)")
    private Integer applicationContent;

    @ApiModelProperty(value="ID")
    private String standardMaterialApprovalFormId;

}
