package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (标准物质到期停用申请表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (标准物质到期停用申请表) 实体类
 */
@Data
@TableName(value = "deactivation_application", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(标准物质到期停用申请表)")
public class DeactivationApplication extends BaseEntity {

    /**
     * (申请人ID)
     */
    @ApiModelProperty(value="(申请人ID)")
    private String applicantId;

    /**
     * (申请时间)
     */
    @ApiModelProperty(value="(申请时间)")
    private LocalDateTime applicationTime;

    /**
     * (标准物质ID)
     */
    @ApiModelProperty(value="(标准物质ID)")
    private String referenceMaterialId;

    /**
     * (标准物质编号)
     */
    @ApiModelProperty(value="(标准物质编号)")
    private String referenceMaterialNumber;

    /**
     * deactivationApplicationId
     */
    @TableId(value = "deactivation_application_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="deactivationApplicationId")
    private String deactivationApplicationId;






}
