package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-22 16:10:51
 * @describe  实体类
 */
@Data
@TableName(value = "lattice_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class LatticeForm extends BaseEntity {

    /**
     * number
     */
    @ApiModelProperty(value="格子编号")
    private String number;

    /**
     * status
     */
    @ApiModelProperty(value="状态（0：未存入，1：已存入）")
    private Integer status;

    /**
     * latticeFormId
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="格子ID")
    private String id;

    /**
     * cabinetFormId
     */
    @ApiModelProperty(value="柜子ID")
    private String cabinetFormId;

    @ApiModelProperty(value="图片路径")
    private String picture;


}
