package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.ComplianceCheck;
import digital.laboratory.platform.reagent.vo.ComplianceCheckVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (符合性检查记录表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (符合性检查记录表) Mapper 类
 */
@Mapper
public interface ComplianceCheckMapper extends BaseMapper<ComplianceCheck> {

    IPage<ComplianceCheckVO> getComplianceCheckVOPage (IPage<ComplianceCheck> page, @Param(Constants.WRAPPER) QueryWrapper<ComplianceCheck> qw);
    List<ComplianceCheckVO> getComplianceCheckVOList (QueryWrapper<ComplianceCheck> qw) ;

    ComplianceCheckVO getComplianceCheckVO(String complianceCheckId);

}
