package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.StandardMaterialApplicationDTO;
import digital.laboratory.platform.reagent.entity.StandardMaterialApplication;
import digital.laboratory.platform.reagent.vo.StandardMaterialApplicationVO;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * (标准物质领用/归还登记表)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质领用/归还登记表) 服务类
 */
public interface StandardMaterialApplicationService extends IService<StandardMaterialApplication> {

    StandardMaterialApplication returnById(StandardMaterialApplicationDTO standardMaterialApplicationDTO);

    IPage<StandardMaterialApplicationVO> getPage(IPage<StandardMaterialApplication> page, QueryWrapper<StandardMaterialApplication> qwl);

    //归还记录
    IPage <StandardMaterialApplicationVO> getList(IPage<StandardMaterialApplication> page, QueryWrapper<StandardMaterialApplication> qw);


    abstract void standardMaterialApplicationTablePDF(List<StandardMaterialApplicationVO> voList,String ids, HttpServletRequest theHttpServletRequest, HttpServletResponse httpServletResponse) throws Exception;

    StandardMaterialApplicationVO getStandardMaterialApplicationVO(String id
           );
}
