package digital.laboratory.platform.reagent.task;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import digital.laboratory.platform.reagent.entity.BatchDetails;
import digital.laboratory.platform.reagent.service.BatchDetailsService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
@Configuration
@EnableScheduling
@RequiredArgsConstructor
public class MaturityCalculation {

    private final BatchDetailsService batchDetailsService;


    @Scheduled(cron ="0 0 0 * * ?  ")
    public void calculate(){
        //查找出有库存量的物品所有批次信息(状态为1)
        List<BatchDetails> list1 = batchDetailsService.list(Wrappers.<BatchDetails>query().eq("service_status",1));
        String warningInformation = null;
        for (BatchDetails batchDetails : list1) {
            //提前一周进行到期提醒
            if (batchDetails.getExpirationDate().plusDays(7).isAfter(LocalDate.now())){
                warningInformation = "即将过期";
                batchDetails.setWarningInformation(warningInformation);
                batchDetailsService.updateById(batchDetails);
            }else if (batchDetails.getExpirationDate().isAfter(LocalDate.now())){
                warningInformation = "已过期";
                batchDetails.setWarningInformation(warningInformation);
                batchDetailsService.updateById(batchDetails);
            }
            if (batchDetails.getCreateTime().plusMonths(Integer.valueOf(batchDetails.getLimitDate())).plusDays(7).isAfter(LocalDateTime.now())){
                batchDetails.setWarningInformation(batchDetails.getWarningInformation()+"，即将到达存储期限");
            }else if(batchDetails.getCreateTime().plusMonths(Integer.valueOf(batchDetails.getLimitDate())).isAfter(LocalDateTime.now())){

                batchDetails.setWarningInformation("已超过存储期限");
            }


        }

    }
}
