/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : localhost:3306
 Source Schema         : dlp_reagent_managment

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 20/05/2023 20:20:01
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for acceptance_record_form
-- ----------------------------
DROP TABLE IF EXISTS `acceptance_record_form`;
CREATE TABLE `acceptance_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptance_conclusion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(验收结论)',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核人审核时间',
  `date_of_acceptance` datetime(6) NULL DEFAULT NULL COMMENT '(验收日期)',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人审核意见',
  `three_level_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `follow_up_treatment` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(后续处理情况)',
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不合格项目)',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核意见',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人审核时间',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人审核意见',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '(二级审核人审核日期)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(二级审核人ID)',
  `audit_result_of_secondary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材管理员审核结果',
  `audit_result_of_three_level` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核审核结果',
  `audit_result_of_primary` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(一级审核结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `the_same_brand_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `bam_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `consistent_quantity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cq_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packing_in_good_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `pgc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `validity_period` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `vp_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `delivery_cycle` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dc_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `warehousing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'user_name',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(验收记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of acceptance_record_form
-- ----------------------------
INSERT INTO `acceptance_record_form` VALUES ('295B610CC9ACE649B6D40DE13AD37F79', '萨达', '2023-05-19 17:35:18.754000', '2023-05-19 17:34:36.062000', NULL, 'C27B8F582693B93596C21C1586A0845A', '萨达', '阿凡达', NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:35:06.706', '6D0AB431690B10D19A42C4E3714A0FC2', NULL, '2023-05-19 17:35:10.991000', 'C27B8F582693B93596C21C1586A0845A', '1', '1', '1', '2023-05-19 17:08:59.006000', '2023-05-19 17:35:18.758000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '不合格', '阿萨德', '合格', '撒', '合格', '', '合格', '', '合格', '', '2938774C8FE8894B6D72E9E6D7FC047C', 4, NULL, '审核员2', '2023-05-19 17:34:36.062000', '芬特明');
INSERT INTO `acceptance_record_form` VALUES ('AB9B7B29AE2C624D854F431331C27E08', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '148FDF8E823C70BB0BB063E949C580F0', NULL, NULL, NULL, '0', '0', '0', '2023-05-19 17:10:07.666000', '2023-05-19 17:10:07.666000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2938774C8FE8894B6D72E9E6D7FC047C', 0, NULL, NULL, NULL, '硫酸铵');
INSERT INTO `acceptance_record_form` VALUES ('F77764C0E945B9A13849E02255803DA8', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'EAD5487E2EBB221D919920922ACAF56F', NULL, NULL, NULL, '0', '0', '0', '2023-05-19 16:56:58.469000', '2023-05-19 16:56:58.469000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2938774C8FE8894B6D72E9E6D7FC047C', 0, NULL, NULL, NULL, '乙醇');

-- ----------------------------
-- Table structure for application_for_use
-- ----------------------------
DROP TABLE IF EXISTS `application_for_use`;
CREATE TABLE `application_for_use`  (
  `date_of_collection` datetime(6) NULL DEFAULT NULL COMMENT '(领取日期)',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `IXFK_application_for_use_requisition_record`(`requisition_record_id`) USING BTREE,
  CONSTRAINT `FK_application_for_use_requisition_record` FOREIGN KEY (`requisition_record_id`) REFERENCES `requisition_record` (`requisition_record_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of application_for_use
-- ----------------------------
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:17:46.663000', 'C27B8F582693B93596C21C1586A0845A', 2, '099372EDC4C3BEA783810E7F1388E111', '78F9FBA7771EC69A6E464AF038A7B52F', NULL, '', '2023-05-19 17:17:46.657000', '2023-05-19 17:18:26.598000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 18:30:09.962000', '6c847974320c7cb184228d53eea19114', 1, '183BC886B87AF0CD807C06658B8EB189', '8AAB76E44928FDA9204353C9692B39C4', NULL, '836974', '2023-05-19 18:30:09.955000', '2023-05-19 18:30:09.975000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114');
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:58:24.731000', 'BC1A096180973C5EA652C9787F5A155A', 2, '24BAC5B3DAFE0FE84C60CDC85A5D5084', '2CE267B8B912BD600A5E9C4C12407633', NULL, '', '2023-05-19 17:58:24.728000', '2023-05-19 18:02:34.999000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 16:57:27.971000', 'C27B8F582693B93596C21C1586A0845A', 1, '2752C2AB16E78AF40EC869B9B190E256', 'C6EF9B62D7ACA0BE61C31E325BA2564C', NULL, '462335', '2023-05-19 16:57:27.961000', '2023-05-19 16:57:27.983000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:00:40.241000', 'C27B8F582693B93596C21C1586A0845A', 2, '4D6489D12EC7895C32E78CDEA84C2AAC', 'E2E7B3A11ECF846AFD1B8C46815BF919', NULL, '', '2023-05-19 17:00:40.237000', '2023-05-19 17:03:04.601000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:19:59.216000', 'C27B8F582693B93596C21C1586A0845A', 2, '636F4EC65A415A4D41D466CB46FD223E', 'EFA298B95A5D3375CD0218662DF3B5E0', NULL, '', '2023-05-19 17:19:59.210000', '2023-05-19 17:20:09.304000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 18:23:39.941000', '6c847974320c7cb184228d53eea19114', 1, '8615F0082F45AD90714BFE42F899735D', '65CAFEB4F9BA413C4803117C01BC325A', NULL, '182249', '2023-05-19 18:23:39.931000', '2023-05-19 18:23:39.951000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114');
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:57:53.278000', 'BC1A096180973C5EA652C9787F5A155A', 1, '884F1D199E0AF84A16D0FCB30A392EEE', 'CA6979CF798892145A6E7654E8FA681E', NULL, '638311', '2023-05-19 17:57:53.271000', '2023-05-19 17:57:53.287000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 17:43:32.082000', 'C27B8F582693B93596C21C1586A0845A', 1, 'D5EB0C104B4E554E402CA849D64C11B4', 'DEAF5C1DEA936DB6DBAF6A82B012F9A1', NULL, '939096', '2023-05-19 17:43:32.080000', '2023-05-19 17:43:32.086000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `application_for_use` VALUES ('2023-05-19 16:59:58.427000', 'C27B8F582693B93596C21C1586A0845A', 2, 'DC049F08AC4740E9697C9C836CB7C2C1', 'CED3BA2A78B0620DEF82379620EE129F', NULL, '', '2023-05-19 16:59:58.424000', '2023-05-19 17:00:22.499000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');

-- ----------------------------
-- Table structure for batch_details
-- ----------------------------
DROP TABLE IF EXISTS `batch_details`;
CREATE TABLE `batch_details`  (
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `compliance_test_situation` tinyint(5) NULL DEFAULT NULL COMMENT '(符合性检验情况)',
  `date_of_last_check` datetime(6) NULL DEFAULT NULL COMMENT '(上次期间核查日期)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材库存ID)',
  `service_status` int(11) NULL DEFAULT NULL COMMENT '(使用状态)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `batch_details_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `limit_date` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`batch_details_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of batch_details
-- ----------------------------
INSERT INTO `batch_details` VALUES (1, '00001', NULL, NULL, '2023-05-02 00:00:00.000000', NULL, '2023-05-27 00:00:00.000000', NULL, '2023-05-19 16:56:58.343000', 0, '16B713E2965989C66824E462F30DA825', -1, '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 16:56:58.461000', '2023-05-19 17:03:04.604000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2A921A1CDE2533F06B7DF20FBD08B2A6', NULL, 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', '12', 'BCA21434B627174E9786D80CC9044FE3', NULL);
INSERT INTO `batch_details` VALUES (1, '00001', NULL, NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-26 00:00:00.000000', NULL, '2023-05-19 17:10:07.553000', 1, '77F04CB5CA53D1489F8D53A916BE8891', 1, '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 17:10:07.661000', '2023-05-19 17:10:07.661000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5EE4A0AA35B93AA8293FF0715E770AFA', NULL, '342b3fdc196ae183185c56f3ccdbedbf', 'F6_623_2号柜_1-R-A-1-9', '12', 'BCA21434B627174E9786D80CC9044FE3', NULL);
INSERT INTO `batch_details` VALUES (1, '0001', NULL, NULL, '2023-05-09 00:00:00.000000', NULL, '2023-05-20 00:00:00.000000', NULL, '2023-05-19 17:08:58.770000', 1, '7F21B5A8E0CE278ECE2CB7C59918C2B0', 1, '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 17:08:59.002000', '2023-05-19 18:29:21.588000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7DF04E043D9D4D5254A733315CD3A86D', NULL, 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', '12', 'BCA21434B627174E9786D80CC9044FE3', NULL);

-- ----------------------------
-- Table structure for blacklist
-- ----------------------------
DROP TABLE IF EXISTS `blacklist`;
CREATE TABLE `blacklist`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `results_of_compliance_check` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(符合性检查结果)',
  `supplier_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `blacklist_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `compliance_check_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`blacklist_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材黑名单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of blacklist
-- ----------------------------
INSERT INTO `blacklist` VALUES ('6D0AB431690B10D19A42C4E3714A0FC2', '0', '2938774C8FE8894B6D72E9E6D7FC047C', '202305191734588621659492836917075969', NULL, '2023-05-19 17:34:58.864000', '2023-05-19 17:34:58.864000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');
INSERT INTO `blacklist` VALUES ('6D0AB431690B10D19A42C4E3714A0FC2', NULL, '2938774C8FE8894B6D72E9E6D7FC047C', '202305191735187541659492920341782529', NULL, '2023-05-19 17:35:18.754000', '2023-05-19 17:35:18.754000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A');

-- ----------------------------
-- Table structure for cabinet_form
-- ----------------------------
DROP TABLE IF EXISTS `cabinet_form`;
CREATE TABLE `cabinet_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `storage_room_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification` int(255) NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of cabinet_form
-- ----------------------------

-- ----------------------------
-- Table structure for catalogue_details
-- ----------------------------
DROP TABLE IF EXISTS `catalogue_details`;
CREATE TABLE `catalogue_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `purchase_catalogue_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购目录ID',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材名称',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `catalogue_details_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '别名',
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '存储条件',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注\r\n',
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`catalogue_details_id`) USING BTREE,
  INDEX `IXFK_catalogue_details_purchase_catalogue`(`purchase_catalogue_id`) USING BTREE,
  CONSTRAINT `FK_catalogue_details_purchase_catalogue` FOREIGN KEY (`purchase_catalogue_id`) REFERENCES `purchase_catalogue` (`purchase_catalogue_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of catalogue_details
-- ----------------------------
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-10', '芬特明', '一般标准物质', '1mL,1.0mg/mL于甲醇', '9.99', 0001200.00, '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.099000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0A018B7254FFB513478C872BBC4463EA', 'jjj', '6D0AB431690B10D19A42C4E3714A0FC2', '毒品', '常规贮存', '天津一方代理', '瓶', '10', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-15', 'MDA-19', '一般标准物质', '10mg', '14.99', 0001960.00, '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.106000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0DB4F62F925CF094111590F72D33DC85', 'ooo', '43C2F9B51E75B6C2CCBD34F1D038BA36', '毒品', '常规贮存', '天津一方代理', '瓶', '15', NULL);
INSERT INTO `catalogue_details` VALUES ('Dr.E', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-43', '甲基对硫磷-d6', '一般标准物质', '25mg', '42.99', 0004734.00, '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.108000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '10CE444EC319C2A96C241FBA7B73F198', 'afdh5', '93420AD05D20E7542B9CA64D8062D323', '毒品', '常规贮存', '天津一方代理', '瓶', '43', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-14', '甲基胺酮', '一般标准物质', '25mg', '13.99', 0002231.00, '2023-05-19 16:45:21.352000', '2023-05-19 16:45:29.110000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1C1D8F34A6A442A9EFE15CAE0AA4DF5E', 'nnn', '12A6DF46AA585E2FFF10EE6C5FBA8ACF', '毒品', '常规贮存', '天津一方代理', '瓶', '14', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-12', '地佐辛', '一般标准物质', '100ug/ml，1ml', '11.99', 0002000.00, '2023-05-19 16:45:21.351000', '2023-05-19 16:45:29.111000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1F1E845962B9A4F846445C753867B53E', 'lll', '233A6893EBF0AA36558F4711D8400A10', '毒品', '常规贮存', '天津一方代理', '瓶', '12', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-35', '2-氯地西泮', '一般标准物质', '1mL,1mg/mL于乙腈', '34.99', 0003180.00, '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.113000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2017196A520F0E8F388991DCE2FC77E9', 'afdh', '2E54F08E963A7F663E3B621ABCF7CA6E', '毒品', '常规贮存', '天津一方代理', '瓶', '35', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-21', '氯巴占', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '20.99', 0001200.00, '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.115000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '25589DC1BEFAB3E0885536B9529A3D4E', 'uuu', 'E4442815EB8A3C4D8A7D2B852F18CFE5', '毒品', '常规贮存', '天津一方代理', '瓶', '21', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-34', '扎来普隆', '一般标准物质', '100mg', '33.99', 0005172.00, '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.117000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '32BE18CE83EC426C8D11B654949F5774', 'ha', 'BC698F4FBE453D0896DD1AE096ABA3B8', '毒品', '常规贮存', '天津一方代理', '瓶', '34', NULL);
INSERT INTO `catalogue_details` VALUES ('NIST', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-44', '硫酸铵', '一般标准物质', '0.5 g', '43.99', 0004600.00, '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.119000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '37F2CEB71EDEA362A23B4C76156C0A6D', 'adfsg', '148FDF8E823C70BB0BB063E949C580F0', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', '44', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-17', '丙泊酚', '一般标准物质', '100mg', '16.99', 0000873.00, '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.120000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '45F4A2C2B91CEF758D388853CED63C2E', 'qqq', '91F7D22FBC5D02F806CF112EC61D9924', '毒品', '常规贮存', '天津一方代理', '瓶', '17', NULL);
INSERT INTO `catalogue_details` VALUES ('华为', '耗材', NULL, '50', '761E9CEC9DEB1E1949C09A921A01466F', '2023-46', '手套', '一般耗材', '一双', '0', 0000065.00, '2023-05-19 16:45:21.360000', '2023-05-19 16:45:29.122000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '46A1F5D5AE5DC841BFAC1EB9BCE561F7', 'asd', '8FFDBC4FEFF9C8799BC3D95BD7ADE706', '手套', '常规贮存', '实验手套', '双', '无', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-20', '利培酮', '一般标准物质', '100mg', '19.99', 0000873.00, '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.123000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '58C1D6C7D1783E14E9E8732A9E85B24B', 'ttt', '89AE66839B6778C77516A4C0D94E54F8', '毒品', '常规贮存', '天津一方代理', '瓶', '20', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-36', '2-羟基乙基氟安定 ', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '35.99', 0003210.00, '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.125000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5AE13329EEB2DB3E6974AFB1B9FB0B2D', 'ager', '441538C0A5FAAF8A1418587A76CC614B', '毒品', '常规贮存', '天津一方代理', '瓶', '36', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-1', '曲马多', '一般标准物质', '10mg', '0.99', 0004800.00, '2023-05-19 16:45:21.346000', '2023-05-19 16:45:29.126000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5CD5718ADEBFC01A189AE5B1915EED8B', 'aaa', '6200B8D5955C48B999B5AEEA54E2BE8C', '毒品', '常规贮存', '天津一方代理', '瓶', '1', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-24', ' 普拉西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '23.99', 0001200.00, '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.128000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5D8F2B781940317FC2BD936E9620EA02', 'xxx', 'F3FE765E94D1FACECD2FACB0FA22E9D3', '毒品', '常规贮存', '天津一方代理', '瓶', '24', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-5', '羟考酮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '4.99', 0001200.00, '2023-05-19 16:45:21.348000', '2023-05-19 16:45:29.129000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '613CD1D168D89ABD1B7B674D22ADA8EE', 'eee', 'F4AA7D9B61EC329CF69B9B9DEE92F1C0', '毒品', '常规贮存', '天津一方代理', '瓶', '5', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-6', '地芬诺酯', '一般标准物质', '100μg/mL, 1mL', '5.99', 0001400.00, '2023-05-19 16:45:21.349000', '2023-05-19 16:45:29.133000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '66E70B54B976A47B6407B2C08707F399', 'fff', '0FC7F279BA86B50814C4BD2DCADDD9A0', '毒品', '常规贮存', '天津一方代理', '瓶', '6', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-4', '氟胺酮', '一般标准物质', '100μg/mL, 1mL', '3.99', 0000600.00, '2023-05-19 16:45:21.348000', '2023-05-19 16:45:29.135000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '729EF09794512C6AEDB42226DFBE1D9D', 'ddd', '6D4468366FDFF07CD614173EFBDBA432', '毒品', '常规贮存', '天津一方代理', '瓶', '4', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-13', '替来他明', '一般标准物质', '250mg', '12.99', 0003115.00, '2023-05-19 16:45:21.352000', '2023-05-19 16:45:29.136000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '77E60D1E96644EBF8E5B8F3DCAE99708', 'mmm', '1D783883B59125158B0E449830E174D6', '毒品', '常规贮存', '天津一方代理', '瓶', '13', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-31', ' 溴西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '30.99', 0001200.00, '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.137000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7F69795B3B784F1A39EC1FEC30540FCB', 'qer', '827E302EEB239EF0EF3108EB6CAAE2C1', '毒品', '常规贮存', '天津一方代理', '瓶', '31', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-16', '依托咪酯', '一般标准物质', '100mg', '15.99', 0000706.00, '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.138000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '80C20F3D5EC941C77B93091FFA98800D', 'ppp', 'EDF0A3D024148BAC41B9F2A728E4763A', '毒品', '常规贮存', '天津一方代理', '瓶', '16', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-29', '司普替林', '一般标准物质', '20mg', '28.99', 0002360.00, '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.140000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '80F7A66BD77AFED98F088388A595822B', 'afsf', '658A9B427452446097A0F3655688B71D', '毒品', '常规贮存', '天津一方代理', '瓶', '29', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-8', '安非拉酮', '一般标准物质', '1mL,1.0mg/mL', '7.99', 0002949.00, '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.141000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '83CAC9566472177EDA3AA68B32899C08', 'hhh', '962A523F79D90F93D9C2789641170D74', '毒品', '常规贮存', '天津一方代理', '瓶', '8', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-23', '尼美西泮', '一般标准物质', '1mL,1.0mg/mL于甲醇', '22.99', 0001800.00, '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.142000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '93E43D8AC26B8B322F09CA3DED5DC728', 'www', '6F2B58B8C01F466A4BCB926B7F8BDE7A', '毒品', '常规贮存', '天津一方代理', '瓶', '23', NULL);
INSERT INTO `catalogue_details` VALUES ('小米', '试剂', NULL, '10', '761E9CEC9DEB1E1949C09A921A01466F', '2023-45', '乙醇', '一般试剂', '0.5 g', '44.99', 0000120.00, '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.143000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9858641AB36510B6859CDE24158CAB69', 'ch3', 'EAD5487E2EBB221D919920922ACAF56F', '酒精', '常规贮存', '无色液体', '瓶', '无', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-37', '7-氨基氟硝西泮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '36.99', 0003090.00, '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.145000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A2496B078C1B0630437D87AE3834BBAA', 'gfj', 'DA48E54E3A2B9BD034DDB4B7855E1A89', '毒品', '常规贮存', '天津一方代理', '瓶', '37', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-2', '哌替啶', '一般标准物质', '1mL,1.0mg/mL于甲醇', '1.99', 0001200.00, '2023-05-19 16:45:21.347000', '2023-05-19 16:45:29.146000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A5CFFF566B11678411BB48B5EBEFC3EF', 'bbb', 'A7ED5BB9BEFF9A480F3ACB32FA41FE94', '毒品', '常规贮存', '天津一方代理', '瓶', '2', NULL);
INSERT INTO `catalogue_details` VALUES ('阿尔塔', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-19', '格鲁米特', '一般标准物质', '100ug/ml，1ml', '18.99', 0001800.00, '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.148000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A67935463E56F23148257E8FED95C6E5', 'sss', '8C3447E28D46F3843609E4931517423D', '毒品', '常规贮存', '天津一方代理', '瓶', '19', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-11', '对甲氧基甲基苯丙胺', '一般标准物质', '1mL,1.0mg/mL于甲醇', '10.99', 0001800.00, '2023-05-19 16:45:21.351000', '2023-05-19 16:45:29.149000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A72881F2858514EC5A9EE9F7E561146E', 'kkk', '1CAC12FF1D3ABD82FCE14F5BB4023246', '毒品', '常规贮存', '天津一方代理', '瓶', '11', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-39', 'α-羟基阿普唑仑', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '38.99', 0002841.00, '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.150000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A75C279087D6270B8E0F80A673740E34', 'afgh', '94D5C831ECAE7103FE5D38F213094C20', '毒品', '常规贮存', '天津一方代理', '瓶', '39', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-26', '去甲奥氮平', '一般标准物质', '20mg', '25.99', 0001244.00, '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.151000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'A91BE22EE6311550602401F93386FE57', 'zzz', '4ADB5E3074C68BDD1EFB71796EDF52EC', '毒品', '常规贮存', '天津一方代理', '瓶', '26', NULL);
INSERT INTO `catalogue_details` VALUES ('LGC', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-18', '氟阿尼酮', '一般标准物质', '250mg', '17.99', 0002928.00, '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.152000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AC0C66F96E05FA7E83768078DAD41400', 'rrr', '6E6D7D3B5FD016500E72FF9116873EFB', '毒品', '常规贮存', '天津一方代理', '瓶', '18', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-33', '右美托咪定', '一般标准物质', '100mg', '32.99', 0000706.00, '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.153000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'ACC1F4F812EFF6D7E9602A0A8592E57D', 'fhd', '02532002049E67C9C2327D6BAD7F714F', '毒品', '常规贮存', '天津一方代理', '瓶', '33', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-28', '羟基利培酮', '一般标准物质', '25mg', '27.99', 0000756.00, '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.154000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B3CCD309CEA378AB9ED3202153810EDD', 'agas', 'E922A3CCC2BDF9F0CEB66AA08837ED00', '毒品', '常规贮存', '天津一方代理', '瓶', '28', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-38', '7-氨基硝西泮', '一般标准物质', '1mL,1.0 mg/mL于乙腈', '37.99', 0003090.00, '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.155000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'BD4D67D34E550AEADAFF81A8814CC99C', 'gafh', '05EBA5DE46A94B1DB244BED732638A1B', '毒品', '常规贮存', '天津一方代理', '瓶', '38', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-32', '异安定酮', '一般标准物质', '1mL,1.0 mg/mL于甲醇', '31.99', 0001200.00, '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.156000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C4EFB838E588F57515BAA4430E211B91', 'dag', '36A8DBDEA4406CB284159588B9752233', '毒品', '常规贮存', '天津一方代理', '瓶', '32', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-7', '安眠酮（甲喹酮）', '一般标准物质', '1mL,1.0mg/mL于甲醇', '6.99', 0001200.00, '2023-05-19 16:45:21.349000', '2023-05-19 16:45:29.157000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C71D7A0CBF8C31FA8F294821267F8567', 'ggg', 'B0C6F27206246992225FDC8D81FEC61E', '毒品', '常规贮存', '天津一方代理', '瓶', '7', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-9', '哌醋甲酯', '一般标准物质', '1mL,1.0mg/mL', '8.99', 0001200.00, '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.159000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C93C27C9E1764B790CBFD3A31D994A33', 'iii', 'A0B8E4A72415AB4A2DAC388FCFC1FFEC', '毒品', '常规贮存', '天津一方代理', '瓶', '9', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-40', 'α-羟基咪哒唑仑 ', '一般标准物质', '1mL,100μg/mL于甲醇', '39.99', 0002000.00, '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.160000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CB6088634D63B8307FDA3400AFFC98BF', 'fdb', '0D68F9670A3E9C2B24027855EBA26E4B', '毒品', '常规贮存', '天津一方代理', '瓶', '40', NULL);
INSERT INTO `catalogue_details` VALUES ('ChromaDex', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-3', '咖啡因', '一般标准物质', '100mg', '2.99', 0001500.00, '2023-05-19 16:45:21.347000', '2023-05-19 16:45:29.161000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CBD27D64B97E391E7825D601D8E2FE6E', 'ccc', '4FD03AF4773ACB0AD7423F9BC9E30AB1', '毒品', '常规贮存', '天津一方代理', '瓶', '3', NULL);
INSERT INTO `catalogue_details` VALUES ('Panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-22', '美乐托宁', '一般标准物质', '100mg', '21.99', 0000464.00, '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.162000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'CCF686806D5379BAD09F2B9CA4383503', 'vvv', 'BE7736B1DEA38792C3EE717508DB464F', '毒品', '常规贮存', '天津一方代理', '瓶', '22', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-41', '苯巴比妥-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '40.99', 0001500.00, '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.163000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D6C777AF9718099CFC3405F834BD4D10', 'r4qy', '23894FCC1C36A951A8C952F54C934E25', '毒品', '常规贮存', '天津一方代理', '瓶', '41', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-25', '喷他咗欣', '一般标准物质', '1mL,1.0mg/mL于甲醇', '24.99', 0001200.00, '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.164000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'D906A7A93C275B15D81B9D27D78B2BFD', 'yyy', '5928B4DE244F3933769C34833340D4AA', '毒品', '常规贮存', '天津一方代理', '瓶', '25', NULL);
INSERT INTO `catalogue_details` VALUES ('Cerilliant', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-42', '地西泮-d5 ', '一般标准物质', '1mL,100μg/mL于甲醇', '41.99', 0001500.00, '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.165000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E00DA4797BE0DAC7F5E7B27033AA25C2', 'afg43', 'DFC18690193415B2B950E6EA36C32196', '毒品', '常规贮存', '天津一方代理', '瓶', '42', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-30', '泰尔登', '一般标准物质', '50mg', '29.99', 0000242.00, '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.166000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'F179ABBB9B062D3C7BF1581D9A2ADF08', 'asf', '6463C900EFB758EFBAF1363D723BAE8D', '毒品', '常规贮存', '天津一方代理', '瓶', '30', NULL);
INSERT INTO `catalogue_details` VALUES ('panphy', '标准物质', NULL, '1', '761E9CEC9DEB1E1949C09A921A01466F', '2023-27', '去甲氯氮平', '一般标准物质', '20mg', '26.99', 0001189.00, '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.167000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'FD76420FE60143E015C33CD25F63FA4D', 'asd', '28A3DF1C430289477C11A3D14D03D56D', '毒品', '常规贮存', '天津一方代理', '瓶', '27', NULL);

-- ----------------------------
-- Table structure for category_table
-- ----------------------------
DROP TABLE IF EXISTS `category_table`;
CREATE TABLE `category_table`  (
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of category_table
-- ----------------------------
INSERT INTO `category_table` VALUES ('标准物质', '0045CE914B1BBAF8413C8FC49C1D6E5D', '一般标准物质', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:35:05.277000', '2023-05-19 16:35:05.277000');
INSERT INTO `category_table` VALUES ('试剂', 'A405F17A999D52D0382C8E05EA606E7A', '一般试剂', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:35:05.299000', '2023-05-19 16:35:05.299000');
INSERT INTO `category_table` VALUES ('耗材', 'BA4746518CC2F53FE485E227DD78EA75', '一般耗材', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:35:05.300000', '2023-05-19 16:35:05.300000');

-- ----------------------------
-- Table structure for centralized_request
-- ----------------------------
DROP TABLE IF EXISTS `centralized_request`;
CREATE TABLE `centralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `date_of_application` datetime(6) NULL DEFAULT NULL COMMENT '(申请日期)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购计划ID',
  `status` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time` datetime(6) NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of centralized_request
-- ----------------------------
INSERT INTO `centralized_request` VALUES ('20CA17FC8CCDC4306E4DA60869BAC8F0', '6c847974320c7cb184228d53eea19114', NULL, NULL, 00000000000, '2023-05-19 17:32:48.546000', '2023-05-19 17:32:48.546000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '123456', '0', NULL, NULL, NULL, NULL);
INSERT INTO `centralized_request` VALUES ('42A9C1F60B40FD0FD36B0C26F5AD34BA', '6c847974320c7cb184228d53eea19114', NULL, NULL, 00000000000, '2023-05-19 17:22:07.375000', '2023-05-19 17:22:07.375000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '123456', '0', NULL, NULL, NULL, NULL);
INSERT INTO `centralized_request` VALUES ('5E77CDFC10988CD329C5E48BF5A42ADB', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:49:22.486000', 'E0E44C73527A5D9B48D5EBF765DF220C', 00000000004, '2023-05-19 16:49:22.467000', '2023-05-19 16:54:33.573000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '审核员2', '1', '审核通过', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:50:18.018000', NULL);
INSERT INTO `centralized_request` VALUES ('60940B28C69B1B41E66241C9A1A6DB10', '6c847974320c7cb184228d53eea19114', NULL, NULL, 00000000000, '2023-05-19 17:23:28.477000', '2023-05-19 17:23:28.477000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '123456', '0', NULL, NULL, NULL, NULL);
INSERT INTO `centralized_request` VALUES ('AA8CFC42F22C89F3EA8728708FF6C1AD', '6c847974320c7cb184228d53eea19114', NULL, NULL, 00000000000, '2023-05-19 17:21:25.911000', '2023-05-19 17:21:25.911000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, '123456', '0', NULL, NULL, NULL, NULL);
INSERT INTO `centralized_request` VALUES ('B94799F1F8497859193FF65F8B7EA839', '6c847974320c7cb184228d53eea19114', '2023-05-19 17:21:02.111000', NULL, 00000000002, '2023-05-19 17:17:19.091000', '2023-05-19 17:32:13.113000', '6c847974320c7cb184228d53eea19114', 'C27B8F582693B93596C21C1586A0845A', NULL, '123456', '1', NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:32:13.113000', NULL);
INSERT INTO `centralized_request` VALUES ('BCFC2AECA19AB6A532537737BB068EFF', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:36:36.602000', '6DCFE7D0F60E2321F0B93BDB139B13C5', 00000000004, '2023-05-19 17:36:36.589000', '2023-05-19 17:37:36.107000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '审核员2', '1', NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:36:40.169000', NULL);
INSERT INTO `centralized_request` VALUES ('E8FC8C65A52003868A4EE895E5DBAC5A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:50:03.194000', 'E0E44C73527A5D9B48D5EBF765DF220C', 00000000004, '2023-05-19 16:50:03.181000', '2023-05-19 16:54:33.574000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '审核员2', '1', '审核通过', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:50:24.707000', NULL);

-- ----------------------------
-- Table structure for check_schedule
-- ----------------------------
DROP TABLE IF EXISTS `check_schedule`;
CREATE TABLE `check_schedule`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `manager_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_time_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_result_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of check_schedule
-- ----------------------------

-- ----------------------------
-- Table structure for compliance_check
-- ----------------------------
DROP TABLE IF EXISTS `compliance_check`;
CREATE TABLE `compliance_check`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `date_of_inspection` datetime(6) NULL DEFAULT NULL COMMENT '(检查日期)',
  `examination_conclusion` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查结论)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `inspection_scheme` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(检查方案)',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `secondary_auditor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `nonconforming_item` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `executor_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(符合性检查记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of compliance_check
-- ----------------------------
INSERT INTO `compliance_check` VALUES ('57A266BAA901566B12EDEB049854EFCB', NULL, '2A921A1CDE2533F06B7DF20FBD08B2A6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-19 17:00:22.517000', '2023-05-19 17:00:22.517000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '0.5 g', NULL, '小米', 'EAD5487E2EBB221D919920922ACAF56F', NULL, '乙醇');
INSERT INTO `compliance_check` VALUES ('6ED7B53DE64753949A258CBF289F9342', NULL, '7DF04E043D9D4D5254A733315CD3A86D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-19 18:02:35.017000', '2023-05-19 18:02:35.017000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', NULL, 'jjj-2023-6-001', '1mL,1.0mg/mL于甲醇', NULL, 'Cerilliant', '6D0AB431690B10D19A42C4E3714A0FC2', NULL, '芬特明');
INSERT INTO `compliance_check` VALUES ('9536E98452381E5AA0E3755C88B81BBD', NULL, '7DF04E043D9D4D5254A733315CD3A86D', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, -1, NULL, '2023-05-19 17:18:26.640000', '2023-05-19 17:18:26.640000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'jjj-2023-6-002', '1mL,1.0mg/mL于甲醇', NULL, 'Cerilliant', '6D0AB431690B10D19A42C4E3714A0FC2', NULL, '芬特明');
INSERT INTO `compliance_check` VALUES ('D71BAECC059697BCCA97445A17404C7F', '2023-05-19 17:34:58.861000', '7DF04E043D9D4D5254A733315CD3A86D', NULL, NULL, '1', '1', '2023-05-19 17:35:03.795000', '2023-05-19 17:35:08.957000', '2023-05-19 17:34:58.861000', '阿萨德', 'C27B8F582693B93596C21C1586A0845A', '打 ', 3, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:20:09.314000', '2023-05-19 17:35:08.957000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, 'jjj-2023-6-002', '1mL,1.0mg/mL于甲醇', '阿萨德', 'Cerilliant', '6D0AB431690B10D19A42C4E3714A0FC2', 'C27B8F582693B93596C21C1586A0845A', '芬特明');

-- ----------------------------
-- Table structure for deactivation_application
-- ----------------------------
DROP TABLE IF EXISTS `deactivation_application`;
CREATE TABLE `deactivation_application`  (
  `applicant_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人ID)',
  `application_time` datetime(0) NULL DEFAULT NULL COMMENT '(申请时间)',
  `reference_material_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `deactivation_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`deactivation_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质到期停用申请表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of deactivation_application
-- ----------------------------

-- ----------------------------
-- Table structure for decentralize_details
-- ----------------------------
DROP TABLE IF EXISTS `decentralize_details`;
CREATE TABLE `decentralize_details`  (
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `decentralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(分散采购申请ID)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '包装份数',
  `quantity` int(10) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(种类)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '单价',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(用途)',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '分散采购申请明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralize_details
-- ----------------------------

-- ----------------------------
-- Table structure for decentralized_request
-- ----------------------------
DROP TABLE IF EXISTS `decentralized_request`;
CREATE TABLE `decentralized_request`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人id)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果\r\n',
  `approval_of_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_opinion_of_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核意见',
  `audit_result_of_primary` tinyint(3) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(3) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_result_of_three_level` tinyint(3) NULL DEFAULT NULL COMMENT '三级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `audit_time_of_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级审核时间',
  `compliance_testing` tinyint(6) NULL DEFAULT NULL COMMENT '(需要符合性检验)',
  `date_of_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请日期)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID\r\n',
  `purchase_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `status` int(8) NULL DEFAULT NULL COMMENT '(提交状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `three_level_audit_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级审核人ID',
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(分散采购申请)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of decentralized_request
-- ----------------------------

-- ----------------------------
-- Table structure for delivery_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `delivery_registration_form`;
CREATE TABLE `delivery_registration_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `date_of_delivery` datetime(6) NULL DEFAULT NULL COMMENT '(出库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库人)',
  `outgoing_applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(出库申请人)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `status` int(5) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材出库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of delivery_registration_form
-- ----------------------------
INSERT INTO `delivery_registration_form` VALUES ('2CE267B8B912BD600A5E9C4C12407633', NULL, 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '2023-05-19 17:58:24.735000', '2023-05-19 18:02:35.021000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 1);
INSERT INTO `delivery_registration_form` VALUES ('65CAFEB4F9BA413C4803117C01BC325A', NULL, NULL, '6c847974320c7cb184228d53eea19114', '2023-05-19 18:23:39.949000', '2023-05-19 18:23:39.949000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0);
INSERT INTO `delivery_registration_form` VALUES ('78F9FBA7771EC69A6E464AF038A7B52F', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:17:46.673000', '2023-05-19 17:18:26.645000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('8AAB76E44928FDA9204353C9692B39C4', NULL, NULL, '6c847974320c7cb184228d53eea19114', '2023-05-19 18:30:09.971000', '2023-05-19 18:30:09.971000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 0);
INSERT INTO `delivery_registration_form` VALUES ('C6EF9B62D7ACA0BE61C31E325BA2564C', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:57:27.979000', '2023-05-19 16:57:27.979000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0);
INSERT INTO `delivery_registration_form` VALUES ('CA6979CF798892145A6E7654E8FA681E', NULL, NULL, 'BC1A096180973C5EA652C9787F5A155A', '2023-05-19 17:57:53.285000', '2023-05-19 17:57:53.285000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 0);
INSERT INTO `delivery_registration_form` VALUES ('CED3BA2A78B0620DEF82379620EE129F', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:59:58.430000', '2023-05-19 17:00:22.519000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('DEAF5C1DEA936DB6DBAF6A82B012F9A1', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:43:32.085000', '2023-05-19 17:43:32.085000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0);
INSERT INTO `delivery_registration_form` VALUES ('E2E7B3A11ECF846AFD1B8C46815BF919', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:00:40.243000', '2023-05-19 17:03:04.612000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);
INSERT INTO `delivery_registration_form` VALUES ('EFA298B95A5D3375CD0218662DF3B5E0', NULL, 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:19:59.219000', '2023-05-19 17:20:09.316000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 1);

-- ----------------------------
-- Table structure for details_of_centralized
-- ----------------------------
DROP TABLE IF EXISTS `details_of_centralized`;
CREATE TABLE `details_of_centralized`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `centralized_request_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(集中采购申请ID)',
  `purchase_catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购目录编号)',
  `quantity_purchased` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(采购数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` int(11) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(集中采购申请明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of details_of_centralized
-- ----------------------------
INSERT INTO `details_of_centralized` VALUES ('077A3FB2445F61B8146F8E2CDCE9CD0C', 'E8FC8C65A52003868A4EE895E5DBAC5A', '2023-44', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '148FDF8E823C70BB0BB063E949C580F0', '采购测试', '2023-05-19 16:50:03.182000', '2023-05-19 16:51:31.672000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B8587261C2AE5E8CBDE4498265158F7D', NULL, NULL, 00000000001, NULL, NULL, '采购测试');
INSERT INTO `details_of_centralized` VALUES ('0ED6182DE43EC39A337000C12D422142', 'BCFC2AECA19AB6A532537737BB068EFF', '2023-45', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000010, 'EAD5487E2EBB221D919920922ACAF56F', '213', '2023-05-19 17:36:36.590000', '2023-05-19 17:48:06.767000', 'C27B8F582693B93596C21C1586A0845A', 'BC1A096180973C5EA652C9787F5A155A', 'F3BB3012828D6E03578C617385DDC4CE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000123, '43C2F9B51E75B6C2CCBD34F1D038BA36', 00000000010, NULL, NULL, '213');
INSERT INTO `details_of_centralized` VALUES ('183102822652571FF3E5F36E2BB4C1DD', '42A9C1F60B40FD0FD36B0C26F5AD34BA', '2023-14', NULL, '12A6DF46AA585E2FFF10EE6C5FBA8ACF', '5', '2023-05-19 17:22:07.376000', '2023-05-19 17:22:07.376000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000005, NULL, NULL, '5');
INSERT INTO `details_of_centralized` VALUES ('2004EA2A366ED577577006D29E16AAF6', 'AA8CFC42F22C89F3EA8728708FF6C1AD', '2023-43', NULL, '93420AD05D20E7542B9CA64D8062D323', '32', '2023-05-19 17:21:25.912000', '2023-05-19 17:21:25.912000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000003, NULL, NULL, '23');
INSERT INTO `details_of_centralized` VALUES ('248665345862A3D590B2D753750E2BC1', '60940B28C69B1B41E66241C9A1A6DB10', '2023-12', NULL, '233A6893EBF0AA36558F4711D8400A10', '5', '2023-05-19 17:23:28.478000', '2023-05-19 17:23:28.478000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000005, NULL, NULL, '5');
INSERT INTO `details_of_centralized` VALUES ('3FB548A4647BBA39194EBB748ED34A4F', '13464061B54F6558454687D7107FAB0A', '2023-45', NULL, 'C19CDF76AF625E2D37995BC2A0282846', '采购所需', '2023-05-19 16:42:18.021000', '2023-05-19 16:42:18.021000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 00000000002, NULL, NULL, '采购所需');
INSERT INTO `details_of_centralized` VALUES ('570B991B574B755D1967107DB80F4784', 'E8FC8C65A52003868A4EE895E5DBAC5A', '2023-10', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, '6D0AB431690B10D19A42C4E3714A0FC2', '采购测试', '2023-05-19 16:50:03.182000', '2023-05-19 16:51:31.674000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1081085C72CE67E69E9F3168D7031A33', NULL, NULL, 00000000001, NULL, NULL, '采购测试');
INSERT INTO `details_of_centralized` VALUES ('6FC44163D447D2F0CF5CC7328732071B', '13464061B54F6558454687D7107FAB0A', '2023-33', NULL, 'DC91BCCBD61AFE60E02B1169A29A25AF', '采购所需', '2023-05-19 16:42:18.020000', '2023-05-19 16:42:18.020000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 00000000001, NULL, NULL, '采购');
INSERT INTO `details_of_centralized` VALUES ('7672A5EE37416C0F123618C51E7ED0BC', '5E77CDFC10988CD329C5E48BF5A42ADB', '2023-10', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002, '6D0AB431690B10D19A42C4E3714A0FC2', '1', '2023-05-19 16:49:22.471000', '2023-05-19 16:51:40.315000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1081085C72CE67E69E9F3168D7031A33', NULL, NULL, 00000000001, NULL, NULL, '1');
INSERT INTO `details_of_centralized` VALUES ('B99671EE7130873B32074BDC1276209C', '20CA17FC8CCDC4306E4DA60869BAC8F0', '2023-10', NULL, '6D0AB431690B10D19A42C4E3714A0FC2', '333', '2023-05-19 17:32:48.547000', '2023-05-19 17:32:48.547000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000055, NULL, NULL, '33');
INSERT INTO `details_of_centralized` VALUES ('BFD0C3BCBD5198CFB1023CF481E5E4A5', 'B94799F1F8497859193FF65F8B7EA839', '2023-15', NULL, '43C2F9B51E75B6C2CCBD34F1D038BA36', '4', '2023-05-19 17:20:56.597000', '2023-05-19 17:20:56.597000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000003, NULL, NULL, '3');
INSERT INTO `details_of_centralized` VALUES ('C4348624290AEA597EB2BD43D32F1028', '5E77CDFC10988CD329C5E48BF5A42ADB', '2023-45', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001, 'EAD5487E2EBB221D919920922ACAF56F', '采购', '2023-05-19 16:49:22.471000', '2023-05-19 16:51:31.670000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B0F6DFDD900DB8BE03A446F32085CDF0', NULL, NULL, 00000000001, NULL, NULL, '采购');
INSERT INTO `details_of_centralized` VALUES ('E1061F96D2D9EC71BC22E88ABB89DE1D', '13464061B54F6558454687D7107FAB0A', '2023-7', NULL, 'D73A80267CC214819593563CAB09663C', '采购所需', '2023-05-19 16:42:18.021000', '2023-05-19 16:42:18.021000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, 00000000001, NULL, NULL, '采购');
INSERT INTO `details_of_centralized` VALUES ('E6889A669B1937B2640346B2FEBDED93', 'B94799F1F8497859193FF65F8B7EA839', '2023-10', NULL, '6D0AB431690B10D19A42C4E3714A0FC2', '8', '2023-05-19 17:17:19.100000', '2023-05-19 17:18:11.124000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', NULL, NULL, NULL, 00000000004, NULL, NULL, '6');

-- ----------------------------
-- Table structure for disqualification_form
-- ----------------------------
DROP TABLE IF EXISTS `disqualification_form`;
CREATE TABLE `disqualification_form`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `compliance_check_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `disqualification_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`disqualification_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of disqualification_form
-- ----------------------------

-- ----------------------------
-- Table structure for evaluation_form
-- ----------------------------
DROP TABLE IF EXISTS `evaluation_form`;
CREATE TABLE `evaluation_form`  (
  `comments_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价意见',
  `comments_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价意见',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系电话)',
  `contact_person` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人)',
  `primary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价人ID',
  `comments_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价意见',
  `secondary_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价人ID',
  `service_provider_and_supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商ID)',
  `three_level_user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `supplier_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '供应商/服务商信息表ID',
  `supplier_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `comments_result_from_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级评价结果',
  `comments_date_from_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级评价时间',
  `comments_result_from_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级评价结果',
  `comments_date_from_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级评价时间',
  `comments_result_from_three_level` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '三级评价结果',
  `comments_date_from_three_level` datetime(6) NULL DEFAULT NULL COMMENT '三级评价时间',
  `status` int(2) NULL DEFAULT NULL COMMENT '状态\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商评价表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of evaluation_form
-- ----------------------------
INSERT INTO `evaluation_form` VALUES (NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-05-19 17:10:07.670000', '2023-05-19 17:10:07.670000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E08A58A68750EA90674DD150ABEC3639', '2938774C8FE8894B6D72E9E6D7FC047C', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for expiration_reminder
-- ----------------------------
DROP TABLE IF EXISTS `expiration_reminder`;
CREATE TABLE `expiration_reminder`  (
  `expiration_date` datetime(0) NULL DEFAULT NULL COMMENT '(试剂耗材有效期/保质期)',
  `expiration_message` datetime(0) NOT NULL COMMENT '(试剂耗材到期提醒信息)',
  `reagent_consumable_id` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `expiration_reminder_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`expiration_reminder_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材到期提醒)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of expiration_reminder
-- ----------------------------

-- ----------------------------
-- Table structure for fixed_value_report
-- ----------------------------
DROP TABLE IF EXISTS `fixed_value_report`;
CREATE TABLE `fixed_value_report`  (
  `fixed_value_report` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值报告URL)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标准物质ID',
  `fixed_value_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `fixed_result` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '定值结果',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`fixed_value_report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(定值报告)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of fixed_value_report
-- ----------------------------

-- ----------------------------
-- Table structure for instruction_book
-- ----------------------------
DROP TABLE IF EXISTS `instruction_book`;
CREATE TABLE `instruction_book`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人审核意见',
  `audit_result_of_technical` tinyint(3) NULL DEFAULT NULL COMMENT '技术负责人审核结果',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '技术负责人审核时间',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `instruction_book` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书)',
  `maker_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制定人)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `set_time` datetime(6) NULL DEFAULT NULL COMMENT '(制定时间)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '技术负责人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_type_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查指导书)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of instruction_book
-- ----------------------------

-- ----------------------------
-- Table structure for lattice_form
-- ----------------------------
DROP TABLE IF EXISTS `lattice_form`;
CREATE TABLE `lattice_form`  (
  `update_by` varbinary(255) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cabinet_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of lattice_form
-- ----------------------------

-- ----------------------------
-- Table structure for location_information
-- ----------------------------
DROP TABLE IF EXISTS `location_information`;
CREATE TABLE `location_information`  (
  `cabinet_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子编号)',
  `cabinet_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(柜子类型)',
  `lattice_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(格子编号)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材入库登记表ID)',
  `storage_room_number` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室号)',
  `storage_room_type` varchar(0) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(存储室类型)',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `location_information_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`location_information_id`) USING BTREE,
  INDEX `IXFK_location_information_storage_registration_form`(`storage_registration_form_id`) USING BTREE,
  CONSTRAINT `FK_location_information_storage_registration_form` FOREIGN KEY (`storage_registration_form_id`) REFERENCES `storage_registration_form` (`storage_registration_form_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(位置信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of location_information
-- ----------------------------

-- ----------------------------
-- Table structure for outgoing_contents
-- ----------------------------
DROP TABLE IF EXISTS `outgoing_contents`;
CREATE TABLE `outgoing_contents`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `delivery_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材出库登记表ID)',
  `outbound_use` int(3) NULL DEFAULT NULL COMMENT '(出库用途)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(出库内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of outgoing_contents
-- ----------------------------
INSERT INTO `outgoing_contents` VALUES ('072C6CF4D84D018B1A84F6CD3D2E9131', 'E2E7B3A11ECF846AFD1B8C46815BF919', 1, 5, 'EAD5487E2EBB221D919920922ACAF56F', '试剂', NULL, '2023-05-19 17:03:04.612000', '2023-05-19 17:03:04.612000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '2A921A1CDE2533F06B7DF20FBD08B2A6', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('2C5C646271871CA0D310DD84AEF67785', 'DEAF5C1DEA936DB6DBAF6A82B012F9A1', 0, 1, '6D0AB431690B10D19A42C4E3714A0FC2', '标准物质', NULL, '2023-05-19 17:43:32.085000', '2023-05-19 17:43:32.085000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'jjj-2023-6-001', '83909464F57AA2D5C9E455E602C6958E', '7DF04E043D9D4D5254A733315CD3A86D', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', 'BCA21434B627174E9786D80CC9044FE3', '20230519171642523');
INSERT INTO `outgoing_contents` VALUES ('421FDDFF0B5371C17ED2B84248EBD875', '65CAFEB4F9BA413C4803117C01BC325A', 0, 1, 'C143D23ED74A61FD1B20A864FDD2B2F7', '标准储备溶液', NULL, '2023-05-19 18:23:39.950000', '2023-05-19 18:23:39.950000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'adfsg-2023-05-19', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', '5EE4A0AA35B93AA8293FF0715E770AFA', 'e9b600c3aa731fb30d0804a59257b7f7', 'F6_623_2号柜_1-R-A-1-10', 'BCA21434B627174E9786D80CC9044FE3', NULL);
INSERT INTO `outgoing_contents` VALUES ('423B519BC2AEC68A4B7126DCB181AA26', 'CA6979CF798892145A6E7654E8FA681E', 0, 1, 'C143D23ED74A61FD1B20A864FDD2B2F7', '标准储备溶液', NULL, '2023-05-19 17:57:53.286000', '2023-05-19 17:57:53.286000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'adfsg-2023-05-19', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', '5EE4A0AA35B93AA8293FF0715E770AFA', 'e9b600c3aa731fb30d0804a59257b7f7', 'F6_623_2号柜_1-R-A-1-10', 'BCA21434B627174E9786D80CC9044FE3', NULL);
INSERT INTO `outgoing_contents` VALUES ('424DB93F8C52EE36B8BD279EBB03CE77', 'EFA298B95A5D3375CD0218662DF3B5E0', 0, 1, '6D0AB431690B10D19A42C4E3714A0FC2', '标准物质', NULL, '2023-05-19 17:20:09.315000', '2023-05-19 17:20:09.315000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'jjj-2023-6-002', '51AE60095D43F67A6909C75A2A9915B6', '7DF04E043D9D4D5254A733315CD3A86D', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('749C1E335639A5434D4DC784BA747494', '8AAB76E44928FDA9204353C9692B39C4', 0, 1, '6D0AB431690B10D19A42C4E3714A0FC2', '标准物质', '222', '2023-05-19 18:30:09.974000', '2023-05-19 18:30:09.974000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'jjj-2023-6-001', '83909464F57AA2D5C9E455E602C6958E', '7DF04E043D9D4D5254A733315CD3A86D', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-3', '553417E7CE282ADB184C33DC470CF158', '20230519171642523');
INSERT INTO `outgoing_contents` VALUES ('75F5DB5435BC61C015BF64AB91F32AEC', '2CE267B8B912BD600A5E9C4C12407633', 0, 1, '6D0AB431690B10D19A42C4E3714A0FC2', '标准物质', '123123', '2023-05-19 18:02:35.021000', '2023-05-19 18:02:35.021000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', 'jjj-2023-6-001', '83909464F57AA2D5C9E455E602C6958E', '7DF04E043D9D4D5254A733315CD3A86D', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('D854F695C96208A9547E9AFD983B1015', 'C6EF9B62D7ACA0BE61C31E325BA2564C', 0, 5, 'EAD5487E2EBB221D919920922ACAF56F', '试剂', '做案件', '2023-05-19 16:57:27.982000', '2023-05-19 16:57:27.982000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '2A921A1CDE2533F06B7DF20FBD08B2A6', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', 'BCA21434B627174E9786D80CC9044FE3', NULL);
INSERT INTO `outgoing_contents` VALUES ('EEE1A95EEBC9119970102EE1E76110BB', 'CED3BA2A78B0620DEF82379620EE129F', 0, 5, 'EAD5487E2EBB221D919920922ACAF56F', '试剂', '做案件', '2023-05-19 17:00:22.518000', '2023-05-19 17:00:22.518000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '2A921A1CDE2533F06B7DF20FBD08B2A6', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, NULL);
INSERT INTO `outgoing_contents` VALUES ('FE34A3741E165BEAA9AE1F02B47DD4EE', '78F9FBA7771EC69A6E464AF038A7B52F', 0, 1, '6D0AB431690B10D19A42C4E3714A0FC2', '标准物质', '11120230519160521603\n', '2023-05-19 17:18:26.644000', '2023-05-19 17:18:26.644000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'jjj-2023-6-002', '51AE60095D43F67A6909C75A2A9915B6', '7DF04E043D9D4D5254A733315CD3A86D', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, NULL);

-- ----------------------------
-- Table structure for period_verification_implementation
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_implementation`;
CREATE TABLE `period_verification_implementation`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_technical` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_technical` tinyint(36) NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_technical` datetime(6) NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `cause_of_dissatisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(不满足应用要求原因分析)',
  `checking_time` datetime(6) NULL DEFAULT NULL COMMENT '(核查时间)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `implementation_and_results` varchar(2550) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查实施情况及结果)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人员ID)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `opinion_of_inspector` tinyint(3) NULL DEFAULT NULL COMMENT '(核查人员意见)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_director_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人ID)',
  `verification_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查方法)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `period_verification_plan_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `cause_of_dissatisfaction_result` tinyint(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查实施情况及结果记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_implementation
-- ----------------------------

-- ----------------------------
-- Table structure for period_verification_plan
-- ----------------------------
DROP TABLE IF EXISTS `period_verification_plan`;
CREATE TABLE `period_verification_plan`  (
  `date_of_next_check` datetime(6) NULL DEFAULT NULL COMMENT '(下次核查日期)',
  `deviation_and_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(偏差/不确定度)',
  `inspector_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查人ID)',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `planned_verification_cycle` int(5) NULL DEFAULT NULL COMMENT '(计划核查周期)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `scheduled_verification_date` datetime(6) NULL DEFAULT NULL COMMENT '(计划核查日期)',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `verification_basis` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查依据)',
  `implementation_date` datetime(6) NULL DEFAULT NULL COMMENT '(核查实施日期)',
  `verification_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(核查结果)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `check_schedule_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质期间核查计划和确认表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of period_verification_plan
-- ----------------------------

-- ----------------------------
-- Table structure for procurement_content
-- ----------------------------
DROP TABLE IF EXISTS `procurement_content`;
CREATE TABLE `procurement_content`  (
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购计划id)',
  `quantity_purchased` int(8) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `subtotal` double(255, 0) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(小计)',
  `unit_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '(单价)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `procurement_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `replacement_quantity` int(255) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `replacement_reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_price` double(10, 2) UNSIGNED ZEROFILL NULL DEFAULT NULL,
  `details_of_centralized_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number_of_applications` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `plan_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `replacement_remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`procurement_content_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购内容)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of procurement_content
-- ----------------------------
INSERT INTO `procurement_content` VALUES ('E0E44C73527A5D9B48D5EBF765DF220C', 00000002, '6D0AB431690B10D19A42C4E3714A0FC2', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002000, 0001000.00, '2023-05-19 16:51:31.678000', '2023-05-19 16:51:40.314000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1081085C72CE67E69E9F3168D7031A33', NULL, NULL, NULL, '7672A5EE37416C0F123618C51E7ED0BC', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('E0E44C73527A5D9B48D5EBF765DF220C', 00000001, 'EAD5487E2EBB221D919920922ACAF56F', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000120, 0000120.00, '2023-05-19 16:51:31.679000', '2023-05-19 16:51:31.679000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B0F6DFDD900DB8BE03A446F32085CDF0', NULL, NULL, NULL, 'C4348624290AEA597EB2BD43D32F1028', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('E0E44C73527A5D9B48D5EBF765DF220C', 00000001, '148FDF8E823C70BB0BB063E949C580F0', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000004600, 0004600.00, '2023-05-19 16:51:31.679000', '2023-05-19 16:51:31.679000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B8587261C2AE5E8CBDE4498265158F7D', NULL, NULL, NULL, '077A3FB2445F61B8146F8E2CDCE9CD0C', '1', NULL, NULL, NULL);
INSERT INTO `procurement_content` VALUES ('6DCFE7D0F60E2321F0B93BDB139B13C5', 00000010, 'EAD5487E2EBB221D919920922ACAF56F', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001200, 0000120.00, '2023-05-19 17:36:48.863000', '2023-05-19 17:48:06.774000', 'C27B8F582693B93596C21C1586A0845A', 'BC1A096180973C5EA652C9787F5A155A', 'F3BB3012828D6E03578C617385DDC4CE', 000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000123, '43C2F9B51E75B6C2CCBD34F1D038BA36', 0001960.00, '0ED6182DE43EC39A337000C12D422142', '10', NULL, NULL, 'C235847FB9A72EC1BFEAF659084873F1');

-- ----------------------------
-- Table structure for provide_services_or_supplies
-- ----------------------------
DROP TABLE IF EXISTS `provide_services_or_supplies`;
CREATE TABLE `provide_services_or_supplies`  (
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `evaluation_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(服务商/供应商评价表ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '提供服务或供应品' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of provide_services_or_supplies
-- ----------------------------
INSERT INTO `provide_services_or_supplies` VALUES ('148FDF8E823C70BB0BB063E949C580F0', 'E08A58A68750EA90674DD150ABEC3639', '2023-05-19 17:10:07.680000', '2023-05-19 17:10:07.680000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5C8A08DC0C1FAB0E7BB0C457CB3E1FDE');
INSERT INTO `provide_services_or_supplies` VALUES ('EAD5487E2EBB221D919920922ACAF56F', 'E08A58A68750EA90674DD150ABEC3639', '2023-05-19 17:10:07.678000', '2023-05-19 17:10:07.678000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '867D0C7027C18380FD7FC61ABE83CDF2');
INSERT INTO `provide_services_or_supplies` VALUES ('6D0AB431690B10D19A42C4E3714A0FC2', 'E08A58A68750EA90674DD150ABEC3639', '2023-05-19 17:10:07.675000', '2023-05-19 17:10:07.675000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'AD5752595BCD7953B81AC822FE43F2CA');

-- ----------------------------
-- Table structure for purchase_catalogue
-- ----------------------------
DROP TABLE IF EXISTS `purchase_catalogue`;
CREATE TABLE `purchase_catalogue`  (
  `purchase_catalogue_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见\r\n',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核意见',
  `audit_result_of_primary` tinyint(255) NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_result_of_secondary` tinyint(255) NULL DEFAULT NULL COMMENT '二级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `audit_time_of_secondary` datetime(6) NULL DEFAULT NULL COMMENT '二级审核时间',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(255) NULL DEFAULT NULL COMMENT '(状态)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '二级审核人ID',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`purchase_catalogue_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购目录)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_catalogue
-- ----------------------------
INSERT INTO `purchase_catalogue` VALUES ('761E9CEC9DEB1E1949C09A921A01466F', NULL, NULL, 1, 1, '2023-05-19 16:45:26.819000', '2023-05-19 16:45:29.095000', 'C27B8F582693B93596C21C1586A0845A', NULL, 4, '2023-05-19 16:45:21.340000', '2023-05-19 16:45:54.567000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '2023-05-19 16:45:23.250000');

-- ----------------------------
-- Table structure for purchase_list
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list`;
CREATE TABLE `purchase_list`  (
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '清单名称',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(9) NULL DEFAULT NULL,
  `type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list
-- ----------------------------
INSERT INTO `purchase_list` VALUES ('2023-05-19 16:52:34采购清单', '2023-05-19 16:52:34.292000', '2023-05-19 16:54:33.581000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '13127A78829800B5AEB06B8CDD1784A3', NULL, 1, '采购计划');
INSERT INTO `purchase_list` VALUES ('2023-05-19 17:37:03采购清单', '2023-05-19 17:37:03.405000', '2023-05-19 17:37:36.111000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '376D7CDB9878543469D866E0F3A06395', NULL, 1, '采购计划');

-- ----------------------------
-- Table structure for purchase_list_details
-- ----------------------------
DROP TABLE IF EXISTS `purchase_list_details`;
CREATE TABLE `purchase_list_details`  (
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)·',
  `purchase_quantity` int(11) NULL DEFAULT NULL COMMENT '(采购量)',
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购i计划表ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购清单明细)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchase_list_details
-- ----------------------------
INSERT INTO `purchase_list_details` VALUES ('13127A78829800B5AEB06B8CDD1784A3', 1, 'EAD5487E2EBB221D919920922ACAF56F', '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 16:52:34.301000', '2023-05-19 16:54:31.308000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0A6B17B467EF9D1A9D48FE691C91BD67', 'B0F6DFDD900DB8BE03A446F32085CDF0');
INSERT INTO `purchase_list_details` VALUES ('376D7CDB9878543469D866E0F3A06395', 123, '43C2F9B51E75B6C2CCBD34F1D038BA36', 'C235847FB9A72EC1BFEAF659084873F1', '2023-05-19 17:37:03.409000', '2023-05-19 17:48:06.754000', 'C27B8F582693B93596C21C1586A0845A', 'BC1A096180973C5EA652C9787F5A155A', 'ACEEE545F810438620B02419BEEA91D8', 'F3BB3012828D6E03578C617385DDC4CE');
INSERT INTO `purchase_list_details` VALUES ('13127A78829800B5AEB06B8CDD1784A3', 2, '6D0AB431690B10D19A42C4E3714A0FC2', '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 16:52:34.298000', '2023-05-19 16:54:31.309000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'B531F159F175565C839DC5AF4CD3A235', '1081085C72CE67E69E9F3168D7031A33');
INSERT INTO `purchase_list_details` VALUES ('13127A78829800B5AEB06B8CDD1784A3', 1, '148FDF8E823C70BB0BB063E949C580F0', '2938774C8FE8894B6D72E9E6D7FC047C', '2023-05-19 16:52:34.307000', '2023-05-19 16:54:31.310000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E13EB1CA2271A037790DC6B71C97DD7A', 'B8587261C2AE5E8CBDE4498265158F7D');

-- ----------------------------
-- Table structure for purchasing_plan
-- ----------------------------
DROP TABLE IF EXISTS `purchasing_plan`;
CREATE TABLE `purchasing_plan`  (
  `appropriation_budget` double(255, 0) NULL DEFAULT NULL COMMENT '(经费预算)',
  `approval_opinion` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批意见',
  `approval_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批结果',
  `approval_time` datetime(6) NULL DEFAULT NULL COMMENT '审批时间',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核意见',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核结果',
  `audit_time_of_primary` datetime(6) NULL DEFAULT NULL COMMENT '一级审核时间',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '审批人ID',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_list_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(采购清单ID)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级审核人ID',
  `release_date` datetime(6) NULL DEFAULT NULL COMMENT '发布日期',
  `status` int(11) NULL DEFAULT NULL COMMENT '(状态)',
  `purchasing_plan_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '制定人\r\n',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `department` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  `procurement_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`purchasing_plan_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(采购计划)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of purchasing_plan
-- ----------------------------
INSERT INTO `purchasing_plan` VALUES (1200, NULL, '1', '2023-05-19 17:37:03.400000', NULL, '1', '2023-05-19 17:36:59.670000', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:36:48.860000', '2023-05-19 17:37:03.414000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '376D7CDB9878543469D866E0F3A06395', 'C27B8F582693B93596C21C1586A0845A', NULL, 5, '6DCFE7D0F60E2321F0B93BDB139B13C5', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '审核员2', '2023-05-19 17:36:50.603000', NULL);
INSERT INTO `purchasing_plan` VALUES (6720, NULL, '1', '2023-05-19 16:52:34.284000', NULL, '1', '2023-05-19 16:52:30.517000', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 16:51:31.675000', '2023-05-19 16:52:34.320000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '13127A78829800B5AEB06B8CDD1784A3', 'C27B8F582693B93596C21C1586A0845A', NULL, 5, 'E0E44C73527A5D9B48D5EBF765DF220C', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '审核员2', '2023-05-19 16:51:58.791000', NULL);

-- ----------------------------
-- Table structure for reagent_consumable_inventory
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumable_inventory`;
CREATE TABLE `reagent_consumable_inventory`  (
  `reagent_consumable_inventory_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '试剂耗材id',
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(品牌)',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(类别)',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `instruction_book_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(指导书ID)',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格型号)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `total_quantity` int(55) NOT NULL COMMENT '(总数量)',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类\r\n',
  `packaged_copies` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `unit_price` decimal(10, 2) NULL DEFAULT NULL,
  `storage_life` int(6) NULL DEFAULT NULL,
  `status` int(255) NULL DEFAULT NULL,
  `warning_information` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warning_value` int(10) NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_inventory_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '试剂耗材库存' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumable_inventory
-- ----------------------------
INSERT INTO `reagent_consumable_inventory` VALUES ('16B713E2965989C66824E462F30DA825', 'EAD5487E2EBB221D919920922ACAF56F', '乙醇', '小米', '试剂', NULL, NULL, '0.5 g', '2023-05-19 16:56:58.341000', '2023-05-19 17:03:04.611000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '44.99', NULL, 0, '一般试剂', '10', NULL, NULL, '酒精', '常规贮存', '无色液体', '瓶', 'ch3', 120.00, NULL, 1, NULL, NULL, '6921168511280', '无');
INSERT INTO `reagent_consumable_inventory` VALUES ('310E902BFE0B9C813B4E26F1A1D9E22A', 'C143D23ED74A61FD1B20A864FDD2B2F7', '硫酸铵储备溶液', 'NIST', '标准储备溶液', NULL, NULL, '0.5 g', '2023-05-19 17:30:45.261000', '2023-05-19 17:30:45.261000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43.99', NULL, 1, '一般标准物质', '1', NULL, '1.0', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', 'adfsg', 4600.00, 12, 1, NULL, NULL, NULL, '44');
INSERT INTO `reagent_consumable_inventory` VALUES ('77F04CB5CA53D1489F8D53A916BE8891', '148FDF8E823C70BB0BB063E949C580F0', '硫酸铵', 'NIST', '标准物质', NULL, NULL, '0.5 g', '2023-05-19 17:10:07.553000', '2023-05-19 17:10:07.553000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43.99', NULL, 1, '一般标准物质', '1', NULL, NULL, '毒品', '常规贮存', '货号IAEA-N-1', '瓶', 'adfsg', 4600.00, NULL, 1, NULL, NULL, NULL, '44');
INSERT INTO `reagent_consumable_inventory` VALUES ('7F21B5A8E0CE278ECE2CB7C59918C2B0', '6D0AB431690B10D19A42C4E3714A0FC2', '芬特明', 'Cerilliant', '标准物质', NULL, NULL, '1mL,1.0mg/mL于甲醇', '2023-05-19 17:08:58.770000', '2023-05-19 18:29:21.615000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9.99', NULL, 1, '一般标准物质', '1', NULL, NULL, '毒品', '常规贮存', '天津一方代理', '瓶', 'jjj', 1200.00, NULL, 1, NULL, NULL, NULL, '10');

-- ----------------------------
-- Table structure for reagent_consumables
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables`;
CREATE TABLE `reagent_consumables`  (
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `brand` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '品牌',
  `category` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别',
  `deviation_or_uncertainty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '偏差/不确定度',
  `species` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '种类',
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规格型号',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `standard_value_or_purity` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准值/纯度)',
  `technical_parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术参数)',
  `unit_price` double(10, 2) NULL DEFAULT NULL COMMENT '单价',
  `english_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `packaged_copies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `minimum_unit` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `cas_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`reagent_consumable_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材类)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables
-- ----------------------------
INSERT INTO `reagent_consumables` VALUES ('02532002049E67C9C2327D6BAD7F714F', '右美托咪定', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.153000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '32.99', NULL, 706.00, 'fhd', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '33', NULL);
INSERT INTO `reagent_consumables` VALUES ('05EBA5DE46A94B1DB244BED732638A1B', '7-氨基硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于乙腈', '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.155000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '37.99', NULL, 3090.00, 'gafh', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '38', NULL);
INSERT INTO `reagent_consumables` VALUES ('0D68F9670A3E9C2B24027855EBA26E4B', 'α-羟基咪哒唑仑 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.160000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '39.99', NULL, 2000.00, 'fdb', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '40', NULL);
INSERT INTO `reagent_consumables` VALUES ('0FC7F279BA86B50814C4BD2DCADDD9A0', '地芬诺酯', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-19 16:45:21.349000', '2023-05-19 16:45:29.133000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5.99', NULL, 1400.00, 'fff', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '6', NULL);
INSERT INTO `reagent_consumables` VALUES ('12A6DF46AA585E2FFF10EE6C5FBA8ACF', '甲基胺酮', 'LGC', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-19 16:45:21.352000', '2023-05-19 16:45:29.110000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '13.99', NULL, 2231.00, 'nnn', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '14', NULL);
INSERT INTO `reagent_consumables` VALUES ('148FDF8E823C70BB0BB063E949C580F0', '硫酸铵', 'NIST', '标准物质', NULL, '一般标准物质', '0.5 g', '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.119000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43.99', NULL, 4600.00, 'adfsg', '1', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL, NULL, '44', NULL);
INSERT INTO `reagent_consumables` VALUES ('1CAC12FF1D3ABD82FCE14F5BB4023246', '对甲氧基甲基苯丙胺', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.351000', '2023-05-19 16:45:29.149000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '10.99', NULL, 1800.00, 'kkk', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '11', NULL);
INSERT INTO `reagent_consumables` VALUES ('1D783883B59125158B0E449830E174D6', '替来他明', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-19 16:45:21.352000', '2023-05-19 16:45:29.136000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '12.99', NULL, 3115.00, 'mmm', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '13', NULL);
INSERT INTO `reagent_consumables` VALUES ('233A6893EBF0AA36558F4711D8400A10', '地佐辛', 'panphy', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-19 16:45:21.351000', '2023-05-19 16:45:29.111000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '11.99', NULL, 2000.00, 'lll', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '12', NULL);
INSERT INTO `reagent_consumables` VALUES ('23894FCC1C36A951A8C952F54C934E25', '苯巴比妥-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.163000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '40.99', NULL, 1500.00, 'r4qy', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '41', NULL);
INSERT INTO `reagent_consumables` VALUES ('28A3DF1C430289477C11A3D14D03D56D', '去甲氯氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.167000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '26.99', NULL, 1189.00, 'asd', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '27', NULL);
INSERT INTO `reagent_consumables` VALUES ('2E54F08E963A7F663E3B621ABCF7CA6E', '2-氯地西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1mg/mL于乙腈', '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.113000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '34.99', NULL, 3180.00, 'afdh', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '35', NULL);
INSERT INTO `reagent_consumables` VALUES ('36A8DBDEA4406CB284159588B9752233', '异安定酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.156000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '31.99', NULL, 1200.00, 'dag', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '32', NULL);
INSERT INTO `reagent_consumables` VALUES ('43C2F9B51E75B6C2CCBD34F1D038BA36', 'MDA-19', 'panphy', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.106000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '14.99', NULL, 1960.00, 'ooo', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '15', NULL);
INSERT INTO `reagent_consumables` VALUES ('441538C0A5FAAF8A1418587A76CC614B', '2-羟基乙基氟安定 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.125000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '35.99', NULL, 3210.00, 'ager', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '36', NULL);
INSERT INTO `reagent_consumables` VALUES ('4ADB5E3074C68BDD1EFB71796EDF52EC', '去甲奥氮平', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.151000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '25.99', NULL, 1244.00, 'zzz', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '26', NULL);
INSERT INTO `reagent_consumables` VALUES ('4FD03AF4773ACB0AD7423F9BC9E30AB1', '咖啡因', 'ChromaDex', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.347000', '2023-05-19 16:45:29.161000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2.99', NULL, 1500.00, 'ccc', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '3', NULL);
INSERT INTO `reagent_consumables` VALUES ('5928B4DE244F3933769C34833340D4AA', '喷他咗欣', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.164000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '24.99', NULL, 1200.00, 'yyy', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '25', NULL);
INSERT INTO `reagent_consumables` VALUES ('6200B8D5955C48B999B5AEEA54E2BE8C', '曲马多', 'LGC', '标准物质', NULL, '一般标准物质', '10mg', '2023-05-19 16:45:21.346000', '2023-05-19 16:45:29.126000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0.99', NULL, 4800.00, 'aaa', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '1', NULL);
INSERT INTO `reagent_consumables` VALUES ('6463C900EFB758EFBAF1363D723BAE8D', '泰尔登', 'panphy', '标准物质', NULL, '一般标准物质', '50mg', '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.166000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '29.99', NULL, 242.00, 'asf', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '30', NULL);
INSERT INTO `reagent_consumables` VALUES ('658A9B427452446097A0F3655688B71D', '司普替林', 'panphy', '标准物质', NULL, '一般标准物质', '20mg', '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.140000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '28.99', NULL, 2360.00, 'afsf', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '29', NULL);
INSERT INTO `reagent_consumables` VALUES ('6D0AB431690B10D19A42C4E3714A0FC2', '芬特明', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.099000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9.99', NULL, 1200.00, 'jjj', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '10', NULL);
INSERT INTO `reagent_consumables` VALUES ('6D4468366FDFF07CD614173EFBDBA432', '氟胺酮', '阿尔塔', '标准物质', NULL, '一般标准物质', '100μg/mL, 1mL', '2023-05-19 16:45:21.348000', '2023-05-19 16:45:29.135000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3.99', NULL, 600.00, 'ddd', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '4', NULL);
INSERT INTO `reagent_consumables` VALUES ('6E6D7D3B5FD016500E72FF9116873EFB', '氟阿尼酮', 'LGC', '标准物质', NULL, '一般标准物质', '250mg', '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.152000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '17.99', NULL, 2928.00, 'rrr', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '18', NULL);
INSERT INTO `reagent_consumables` VALUES ('6F2B58B8C01F466A4BCB926B7F8BDE7A', '尼美西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.142000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '22.99', NULL, 1800.00, 'www', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '23', NULL);
INSERT INTO `reagent_consumables` VALUES ('827E302EEB239EF0EF3108EB6CAAE2C1', ' 溴西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.137000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '30.99', NULL, 1200.00, 'qer', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '31', NULL);
INSERT INTO `reagent_consumables` VALUES ('89AE66839B6778C77516A4C0D94E54F8', '利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.123000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '19.99', NULL, 873.00, 'ttt', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '20', NULL);
INSERT INTO `reagent_consumables` VALUES ('8C3447E28D46F3843609E4931517423D', '格鲁米特', '阿尔塔', '标准物质', NULL, '一般标准物质', '100ug/ml，1ml', '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.148000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '18.99', NULL, 1800.00, 'sss', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '19', NULL);
INSERT INTO `reagent_consumables` VALUES ('8FFDBC4FEFF9C8799BC3D95BD7ADE706', '手套', '华为', '耗材', NULL, '一般耗材', '一双', '2023-05-19 16:45:21.360000', '2023-05-19 16:45:29.122000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '0', NULL, 65.00, 'asd', '50', '手套', '常规贮存', '实验手套', '双', NULL, NULL, '无', NULL);
INSERT INTO `reagent_consumables` VALUES ('91F7D22FBC5D02F806CF112EC61D9924', '丙泊酚', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.120000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '16.99', NULL, 873.00, 'qqq', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '17', NULL);
INSERT INTO `reagent_consumables` VALUES ('93420AD05D20E7542B9CA64D8062D323', '甲基对硫磷-d6', 'Dr.E', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.108000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '42.99', NULL, 4734.00, 'afdh5', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '43', NULL);
INSERT INTO `reagent_consumables` VALUES ('94D5C831ECAE7103FE5D38F213094C20', 'α-羟基阿普唑仑', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.150000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '38.99', NULL, 2841.00, 'afgh', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '39', NULL);
INSERT INTO `reagent_consumables` VALUES ('962A523F79D90F93D9C2789641170D74', '安非拉酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.141000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '7.99', NULL, 2949.00, 'hhh', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '8', NULL);
INSERT INTO `reagent_consumables` VALUES ('A0B8E4A72415AB4A2DAC388FCFC1FFEC', '哌醋甲酯', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL', '2023-05-19 16:45:21.350000', '2023-05-19 16:45:29.159000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '8.99', NULL, 1200.00, 'iii', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '9', NULL);
INSERT INTO `reagent_consumables` VALUES ('A7ED5BB9BEFF9A480F3ACB32FA41FE94', '哌替啶', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.347000', '2023-05-19 16:45:29.146000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1.99', NULL, 1200.00, 'bbb', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '2', NULL);
INSERT INTO `reagent_consumables` VALUES ('B0C6F27206246992225FDC8D81FEC61E', '安眠酮（甲喹酮）', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.349000', '2023-05-19 16:45:29.157000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '6.99', NULL, 1200.00, 'ggg', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '7', NULL);
INSERT INTO `reagent_consumables` VALUES ('BC698F4FBE453D0896DD1AE096ABA3B8', '扎来普隆', 'LGC', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.357000', '2023-05-19 16:45:29.117000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '33.99', NULL, 5172.00, 'ha', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '34', NULL);
INSERT INTO `reagent_consumables` VALUES ('BE7736B1DEA38792C3EE717508DB464F', '美乐托宁', 'Panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.162000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '21.99', NULL, 464.00, 'vvv', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '22', NULL);
INSERT INTO `reagent_consumables` VALUES ('C143D23ED74A61FD1B20A864FDD2B2F7', '硫酸铵储备溶液', 'NIST', '标准储备溶液', NULL, '一般标准物质', '0.5 g', '2023-05-19 17:30:24.663000', '2023-05-19 17:30:24.663000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '43.99', NULL, 4600.00, 'adfsg', '1', '毒品', '常规贮存', '货号IAEA-N-1', '瓶', NULL, '1.0', '44', NULL);
INSERT INTO `reagent_consumables` VALUES ('DA48E54E3A2B9BD034DDB4B7855E1A89', '7-氨基氟硝西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.358000', '2023-05-19 16:45:29.145000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '36.99', NULL, 3090.00, 'gfj', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '37', NULL);
INSERT INTO `reagent_consumables` VALUES ('DFC18690193415B2B950E6EA36C32196', '地西泮-d5 ', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,100μg/mL于甲醇', '2023-05-19 16:45:21.359000', '2023-05-19 16:45:29.165000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '41.99', NULL, 1500.00, 'afg43', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '42', NULL);
INSERT INTO `reagent_consumables` VALUES ('E4442815EB8A3C4D8A7D2B852F18CFE5', '氯巴占', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0 mg/mL于甲醇', '2023-05-19 16:45:21.354000', '2023-05-19 16:45:29.115000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '20.99', NULL, 1200.00, 'uuu', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '21', NULL);
INSERT INTO `reagent_consumables` VALUES ('E922A3CCC2BDF9F0CEB66AA08837ED00', '羟基利培酮', 'panphy', '标准物质', NULL, '一般标准物质', '25mg', '2023-05-19 16:45:21.356000', '2023-05-19 16:45:29.154000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '27.99', NULL, 756.00, 'agas', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '28', NULL);
INSERT INTO `reagent_consumables` VALUES ('EAD5487E2EBB221D919920922ACAF56F', '乙醇', '小米', '试剂', NULL, '一般试剂', '0.5 g', '2023-05-19 16:45:21.359000', '2023-05-19 16:58:53.139000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '44.99', NULL, 120.00, 'ch3', '10', '酒精', '常规贮存', '无色液体', '瓶', NULL, NULL, '无', '6921168511280');
INSERT INTO `reagent_consumables` VALUES ('EDF0A3D024148BAC41B9F2A728E4763A', '依托咪酯', 'panphy', '标准物质', NULL, '一般标准物质', '100mg', '2023-05-19 16:45:21.353000', '2023-05-19 16:45:29.138000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '15.99', NULL, 706.00, 'ppp', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '16', NULL);
INSERT INTO `reagent_consumables` VALUES ('F3FE765E94D1FACECD2FACB0FA22E9D3', ' 普拉西泮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.355000', '2023-05-19 16:45:29.128000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '23.99', NULL, 1200.00, 'xxx', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '24', NULL);
INSERT INTO `reagent_consumables` VALUES ('F4AA7D9B61EC329CF69B9B9DEE92F1C0', '羟考酮', 'Cerilliant', '标准物质', NULL, '一般标准物质', '1mL,1.0mg/mL于甲醇', '2023-05-19 16:45:21.348000', '2023-05-19 16:45:29.129000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '4.99', NULL, 1200.00, 'eee', '1', '毒品', '常规贮存', '天津一方代理', '瓶', NULL, NULL, '5', NULL);

-- ----------------------------
-- Table structure for reagent_consumables_set
-- ----------------------------
DROP TABLE IF EXISTS `reagent_consumables_set`;
CREATE TABLE `reagent_consumables_set`  (
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `quantity_delivered` int(255) NULL DEFAULT NULL,
  `outgoing_content_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材集合)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reagent_consumables_set
-- ----------------------------
INSERT INTO `reagent_consumables_set` VALUES (1, '6D0AB431690B10D19A42C4E3714A0FC2', '2023-05-19 17:58:24.729000', '2023-05-19 18:02:35.001000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '050178E1B3CC89264E8EBFAA1F97F98F', '1mL,1.0mg/mL于甲醇', '123123', 0, '7DF04E043D9D4D5254A733315CD3A86D', '24BAC5B3DAFE0FE84C60CDC85A5D5084', '83909464F57AA2D5C9E455E602C6958E', 1, '876ACDF9ADA106CECEBF29DA338D11FC');
INSERT INTO `reagent_consumables_set` VALUES (5, 'EAD5487E2EBB221D919920922ACAF56F', '2023-05-19 16:59:58.425000', '2023-05-19 17:00:22.501000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '23C3072396B3F8C4E0652A40FE287617', '0.5 g', '做案件', 0, '2A921A1CDE2533F06B7DF20FBD08B2A6', 'DC049F08AC4740E9697C9C836CB7C2C1', NULL, 5, 'B83C03F66B86EC4C3FE68D981A27E5CF');
INSERT INTO `reagent_consumables_set` VALUES (5, 'EAD5487E2EBB221D919920922ACAF56F', '2023-05-19 17:00:40.238000', '2023-05-19 17:03:04.602000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '368671FFAF3F3BF5A20B9EC55F1A92E5', '0.5 g', NULL, 1, '2A921A1CDE2533F06B7DF20FBD08B2A6', '4D6489D12EC7895C32E78CDEA84C2AAC', NULL, 5, 'A68314A52E3F32915FB4A3259D3016AF');
INSERT INTO `reagent_consumables_set` VALUES (5, 'EAD5487E2EBB221D919920922ACAF56F', '2023-05-19 16:57:27.964000', '2023-05-19 16:57:27.978000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '3BAC7E69CEA16FADABE8ACE511257FF4', '0.5 g', '做案件', 0, '2A921A1CDE2533F06B7DF20FBD08B2A6', '2752C2AB16E78AF40EC869B9B190E256', NULL, NULL, 'D854F695C96208A9547E9AFD983B1015');
INSERT INTO `reagent_consumables_set` VALUES (1, '6D0AB431690B10D19A42C4E3714A0FC2', '2023-05-19 17:43:32.081000', '2023-05-19 17:43:32.085000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '5266B993DE537EB8FDF82CFE28DA2EE3', '1mL,1.0mg/mL于甲醇', NULL, 0, '7DF04E043D9D4D5254A733315CD3A86D', 'D5EB0C104B4E554E402CA849D64C11B4', '83909464F57AA2D5C9E455E602C6958E', NULL, '2C5C646271871CA0D310DD84AEF67785');
INSERT INTO `reagent_consumables_set` VALUES (1, '6D0AB431690B10D19A42C4E3714A0FC2', '2023-05-19 17:17:46.658000', '2023-05-19 17:18:26.600000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '54C2667BD2E0235C73FC02A1926D635D', '1mL,1.0mg/mL于甲醇', '11120230519160521603\n', 0, '7DF04E043D9D4D5254A733315CD3A86D', '099372EDC4C3BEA783810E7F1388E111', '51AE60095D43F67A6909C75A2A9915B6', 1, '8A1FCFB0D78914BD7C9B1135B2665D83');
INSERT INTO `reagent_consumables_set` VALUES (1, '6D0AB431690B10D19A42C4E3714A0FC2', '2023-05-19 18:30:09.957000', '2023-05-19 18:30:09.970000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', '93714EF6AD1EC97A27737D97CA6A5BFF', '1mL,1.0mg/mL于甲醇', '222', 0, '7DF04E043D9D4D5254A733315CD3A86D', '183BC886B87AF0CD807C06658B8EB189', '83909464F57AA2D5C9E455E602C6958E', NULL, '749C1E335639A5434D4DC784BA747494');
INSERT INTO `reagent_consumables_set` VALUES (1, 'C143D23ED74A61FD1B20A864FDD2B2F7', '2023-05-19 17:57:53.275000', '2023-05-19 17:57:53.284000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '95CC6838BC82116893E746E8090C4F26', '0.5 g', NULL, 0, '5EE4A0AA35B93AA8293FF0715E770AFA', '884F1D199E0AF84A16D0FCB30A392EEE', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', NULL, '423B519BC2AEC68A4B7126DCB181AA26');
INSERT INTO `reagent_consumables_set` VALUES (1, '6D0AB431690B10D19A42C4E3714A0FC2', '2023-05-19 17:19:59.210000', '2023-05-19 17:20:09.305000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 'E299C32FF865B7295F2393002F9399E1', '1mL,1.0mg/mL于甲醇', NULL, 0, '7DF04E043D9D4D5254A733315CD3A86D', '636F4EC65A415A4D41D466CB46FD223E', '51AE60095D43F67A6909C75A2A9915B6', 1, '36A4F2D1345A43C8DC632D971412F9E2');
INSERT INTO `reagent_consumables_set` VALUES (1, 'C143D23ED74A61FD1B20A864FDD2B2F7', '2023-05-19 18:23:39.936000', '2023-05-19 18:23:39.948000', '6c847974320c7cb184228d53eea19114', '6c847974320c7cb184228d53eea19114', 'FD91392923681380629CC4A1B7DA96A1', '0.5 g', NULL, 0, '5EE4A0AA35B93AA8293FF0715E770AFA', '8615F0082F45AD90714BFE42F899735D', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', NULL, '421FDDFF0B5371C17ED2B84248EBD875');

-- ----------------------------
-- Table structure for reference_material
-- ----------------------------
DROP TABLE IF EXISTS `reference_material`;
CREATE TABLE `reference_material`  (
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `batch_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL,
  `reagent_consumable_inventory_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `custodian_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `box_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of reference_material
-- ----------------------------
INSERT INTO `reference_material` VALUES ('jjj-2023-6-002', '6D0AB431690B10D19A42C4E3714A0FC2', '7DF04E043D9D4D5254A733315CD3A86D', '51AE60095D43F67A6909C75A2A9915B6', '2023-05-19 17:08:59.001000', '2023-05-19 17:20:33.868000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', -4, '7F21B5A8E0CE278ECE2CB7C59918C2B0', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-1', NULL, 'BCA21434B627174E9786D80CC9044FE3', '20230519171616451');
INSERT INTO `reference_material` VALUES ('jjj-2023-6-001', '6D0AB431690B10D19A42C4E3714A0FC2', '7DF04E043D9D4D5254A733315CD3A86D', '83909464F57AA2D5C9E455E602C6958E', '2023-05-19 17:08:58.880000', '2023-05-19 18:29:21.617000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '7F21B5A8E0CE278ECE2CB7C59918C2B0', 'c0ec21cdc787546e33105fe0862230c1', 'F6_623_2号柜_1-R-A-1-3', NULL, '553417E7CE282ADB184C33DC470CF158', '20230519171642523');
INSERT INTO `reference_material` VALUES ('adfsg-2023-6-001', '148FDF8E823C70BB0BB063E949C580F0', '5EE4A0AA35B93AA8293FF0715E770AFA', 'B8EC2FC1F0E6B3DCE8FAFD35AEFE2595', '2023-05-19 17:10:07.659000', '2023-05-19 17:51:19.304000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '77F04CB5CA53D1489F8D53A916BE8891', '342b3fdc196ae183185c56f3ccdbedbf', 'F6_623_2号柜_1-R-A-1-9', NULL, 'BCA21434B627174E9786D80CC9044FE3', '20230519175119300');
INSERT INTO `reference_material` VALUES ('adfsg-2023-05-19', 'C143D23ED74A61FD1B20A864FDD2B2F7', '5EE4A0AA35B93AA8293FF0715E770AFA', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', '2023-05-19 17:30:45.261000', '2023-05-19 17:31:57.135000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', 0, '310E902BFE0B9C813B4E26F1A1D9E22A', 'e9b600c3aa731fb30d0804a59257b7f7', 'F6_623_2号柜_1-R-A-1-10', NULL, 'BCA21434B627174E9786D80CC9044FE3', NULL);

-- ----------------------------
-- Table structure for requisition_record
-- ----------------------------
DROP TABLE IF EXISTS `requisition_record`;
CREATE TABLE `requisition_record`  (
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `recipient_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `requisition_record_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `specification_and_model` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `drawing_amount` int(8) NULL DEFAULT NULL,
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`requisition_record_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材领用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of requisition_record
-- ----------------------------
INSERT INTO `requisition_record` VALUES ('2023-05-19 17:03:04.605000', 'C27B8F582693B93596C21C1586A0845A', NULL, '2023-05-19 17:03:04.603000', '2023-05-19 17:03:04.605000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '46626F540389DFBCAFC60C0584D7E52F', 'EAD5487E2EBB221D919920922ACAF56F', '0.5 g', 5, NULL, 'E2E7B3A11ECF846AFD1B8C46815BF919');
INSERT INTO `requisition_record` VALUES ('2023-05-19 17:00:22.509000', 'C27B8F582693B93596C21C1586A0845A', '做案件', '2023-05-19 17:00:22.507000', '2023-05-19 17:00:22.510000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '68F14976BDA5447AE7D52D4566792E24', 'EAD5487E2EBB221D919920922ACAF56F', '0.5 g', 5, NULL, 'CED3BA2A78B0620DEF82379620EE129F');

-- ----------------------------
-- Table structure for solution_use_form
-- ----------------------------
DROP TABLE IF EXISTS `solution_use_form`;
CREATE TABLE `solution_use_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '溶液使用记录表\r\n',
  `solution_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `quantity_used` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `order_of_use` int(255) NULL DEFAULT NULL,
  `date_of_use` datetime(6) NULL DEFAULT NULL,
  `standard_material_application_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of solution_use_form
-- ----------------------------

-- ----------------------------
-- Table structure for standard_material_application
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_application`;
CREATE TABLE `standard_material_application`  (
  `standard_material_application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `administrator_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `date_of_claim` datetime(6) NULL DEFAULT NULL COMMENT '(领用日期)',
  `date_of_return` datetime(6) NULL DEFAULT NULL COMMENT '(归还日期)',
  `purpose_and_quantity` varchar(6) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '使用数量',
  `recipient_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(领用人ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_substance_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `requisitioned_quantity` int(11) NULL DEFAULT NULL COMMENT '(领用数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `serial_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `delivery_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `requisition_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `storage_registration_form_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `claim_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purpose` int(6) NULL DEFAULT NULL,
  `number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_for_use_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(3) NULL DEFAULT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `is_return` int(3) NULL DEFAULT NULL,
  `reference_substance_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`standard_material_application_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质领用/归还登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_application
-- ----------------------------
INSERT INTO `standard_material_application` VALUES ('1693CF90FF264262FDB19E920D59973D', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:18:26.602000', '2023-05-19 17:18:57.858000', '0.05', 'C27B8F582693B93596C21C1586A0845A', 'jjj-2023-6-002', '6D0AB431690B10D19A42C4E3714A0FC2', 1, '2023-05-19 17:18:26.643000', '2023-05-19 17:18:57.945000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0mg/mL于甲醇', '78F9FBA7771EC69A6E464AF038A7B52F', NULL, NULL, NULL, 0, NULL, '099372EDC4C3BEA783810E7F1388E111', 1, '51AE60095D43F67A6909C75A2A9915B6', 0, '芬特明');
INSERT INTO `standard_material_application` VALUES ('62D7DE5A4149B2677C0111139C130DC0', 'BC1A096180973C5EA652C9787F5A155A', '2023-05-19 18:02:35.003000', '2023-05-19 18:29:21.401000', '0.5', 'BC1A096180973C5EA652C9787F5A155A', 'jjj-2023-6-001', '6D0AB431690B10D19A42C4E3714A0FC2', 1, '2023-05-19 18:02:35.019000', '2023-05-19 18:29:21.619000', 'BC1A096180973C5EA652C9787F5A155A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0mg/mL于甲醇', '2CE267B8B912BD600A5E9C4C12407633', NULL, NULL, NULL, 0, NULL, '24BAC5B3DAFE0FE84C60CDC85A5D5084', 1, '83909464F57AA2D5C9E455E602C6958E', 0, '芬特明');
INSERT INTO `standard_material_application` VALUES ('706501189A45644CB8E04D00442425B1', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19 17:20:09.308000', '2023-05-19 17:20:33.816000', '1', 'C27B8F582693B93596C21C1586A0845A', 'jjj-2023-6-002', '6D0AB431690B10D19A42C4E3714A0FC2', 1, '2023-05-19 17:20:09.314000', '2023-05-19 17:20:33.869000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, '1mL,1.0mg/mL于甲醇', 'EFA298B95A5D3375CD0218662DF3B5E0', NULL, NULL, NULL, 0, NULL, '636F4EC65A415A4D41D466CB46FD223E', 1, '51AE60095D43F67A6909C75A2A9915B6', 0, '芬特明');

-- ----------------------------
-- Table structure for standard_material_approval_form
-- ----------------------------
DROP TABLE IF EXISTS `standard_material_approval_form`;
CREATE TABLE `standard_material_approval_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `agent_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(经办人)',
  `applicant_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请人)',
  `application_time` datetime(6) NULL DEFAULT NULL COMMENT '(申请时间)',
  `opinion_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批意见)',
  `result_of_approval` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批结果)',
  `approval_of_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任审批时间)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `audit_opinion_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核意见)',
  `audit_opinion_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核意见)',
  `audit_result_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核结果)',
  `audit_result_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核结果)',
  `audit_time_of_primary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员审核时间)',
  `audit_time_of_secondary` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人审核时间)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `commit_status` int(11) NULL DEFAULT NULL COMMENT '(提交状态)',
  `approver_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(主任id)',
  `fixed_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定值结果)',
  `manufacturer_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(制造商)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(编号)',
  `processing_time` datetime(6) NULL DEFAULT NULL COMMENT '(处理时间)',
  `purchase_time` datetime(6) NULL DEFAULT NULL COMMENT '(购置时间)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reason_for_application` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(申请原因)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质id)',
  `primary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质管理员ID)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `specification` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(规格)',
  `secondary_auditor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(技术负责人id)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `applicant_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_material_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_content` int(6) NULL DEFAULT NULL,
  `commit_time` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准物质停用/报废销毁/恢复/降级使用审批表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_material_approval_form
-- ----------------------------
INSERT INTO `standard_material_approval_form` VALUES ('A48ECCD11D4A369B7A98A926CF56E560', '李飞', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, NULL, NULL, '2023-05-19 17:31:53.473000', '2023-05-19 17:32:16.398000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, '1', '1', '2023-05-19 17:32:07.995', '2023-05-19 17:32:16.398', '00001', 3, NULL, '', '2938774C8FE8894B6D72E9E6D7FC047C', NULL, '2023-05-16 00:00:00.000000', '2023-05-19 17:10:07.000000', 1, '发现质变或有异常,暂停使用', 'D783D7FC6F0CD24BE52B75F86FE2FDFB', 'C27B8F582693B93596C21C1586A0845A', '啊啊啊啊', '0.5 g', 'C27B8F582693B93596C21C1586A0845A', 'adfsg-2023-05-19', '审核员2', '硫酸铵储备溶液', 1, '2023-05-19 17:31:53.464000');

-- ----------------------------
-- Table structure for standard_reserve_solution
-- ----------------------------
DROP TABLE IF EXISTS `standard_reserve_solution`;
CREATE TABLE `standard_reserve_solution`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `configuration_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配置浓度(mg/mL))',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(配置日期)',
  `constant_volume` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(定容体积（mL）)',
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质ID)',
  `reference_material_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质编号)',
  `reference_material_scale` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准物质称取量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液编号)',
  `use_of_solvent` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用溶剂)',
  `user_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(使用人ID)',
  `validity_period` int(6) NULL DEFAULT NULL COMMENT '(有效期限)',
  `status` int(5) NULL DEFAULT NULL,
  `warehousing_remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reference_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准储备溶液配制及使用记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_reserve_solution
-- ----------------------------
INSERT INTO `standard_reserve_solution` VALUES ('01B753DA7838FFAF0BFD2D745C110ECC', '1.0', '2023-05-19 17:30:24.659000', '100', 'C27B8F582693B93596C21C1586A0845A', 'B8EC2FC1F0E6B3DCE8FAFD35AEFE2595', 'adfsg-2023-6-001', '1.0', '2023-05-19 17:30:24.668000', '2023-05-19 17:30:45.264000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '1', '硫酸铵储备溶液', 'adfsg-2023-05-19', '乙醇', NULL, 12, 1, NULL, 'D783D7FC6F0CD24BE52B75F86FE2FDFB');

-- ----------------------------
-- Table structure for standard_solution_curve
-- ----------------------------
DROP TABLE IF EXISTS `standard_solution_curve`;
CREATE TABLE `standard_solution_curve`  (
  `dispenser_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(配制人ID)',
  `serialn_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(序号)',
  `solution_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(溶液名称)',
  `solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度)',
  `concentration_numbering` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(标准储备溶液浓度编号)',
  `step_solution_concentration` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(逐级溶液浓度)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `configuration_date` datetime(6) NULL DEFAULT NULL COMMENT '(工作曲线溶液配置日期)',
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reference_material_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(标准工作曲线溶液配置记录表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of standard_solution_curve
-- ----------------------------

-- ----------------------------
-- Table structure for storage_registration_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_registration_form`;
CREATE TABLE `storage_registration_form`  (
  `date_of_arrival` datetime(6) NULL DEFAULT NULL COMMENT '(入库日期)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(入库人)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `reagent_consumable_id` varchar(55) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材ID)',
  `reagent_consumable_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材编号)',
  `reagent_consumable_type` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(试剂耗材类型)',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(备注)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `storage_life` datetime(6) NULL DEFAULT NULL COMMENT '(存储期限)',
  `storage_registration_form_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `warehousing_batch_list_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `lattice_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`storage_registration_form_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(试剂耗材入库登记表)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_registration_form
-- ----------------------------

-- ----------------------------
-- Table structure for storage_room_form
-- ----------------------------
DROP TABLE IF EXISTS `storage_room_form`;
CREATE TABLE `storage_room_form`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `picture` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `floor` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `room_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of storage_room_form
-- ----------------------------

-- ----------------------------
-- Table structure for supplier_information
-- ----------------------------
DROP TABLE IF EXISTS `supplier_information`;
CREATE TABLE `supplier_information`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `acceptable_condition` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(合格状态)',
  `contact_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人电话)',
  `contact_person_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(联系人名称)',
  `name_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人姓名)',
  `photograph_of_supplier` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人照片)路径',
  `qualification_document` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(资质文件)路径',
  `scope_of_supply` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应范围)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_coding` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商编码)',
  `supplier_id_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人身份证号)',
  `supplier_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商名称)',
  `supplier_telephone` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应人电话)',
  `supplier_business_license` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商营业执照)',
  `supplier_passes_quality_assurance_system` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商通过质量保证体系)',
  `supplier_product_certification` tinyint(1) NULL DEFAULT NULL COMMENT '(供应商产品认证)',
  `check_and_calibrate_efficiency_of_supplies` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应品检验校准效率)',
  `overall_supplier_service_satisfaction` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(对供应商总体服务是否满意)',
  `supplier_attitude` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商态度)',
  `supplier_equipment_and_facilities` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商设备与设施)',
  `supplier_technology_and_management_capability` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商技术与管理能力)',
  `whether_the_supplier_delivers_on_time` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商交货是否及时)',
  `number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `photograph` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `qualification_document_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '(服务商/供应商信息)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of supplier_information
-- ----------------------------
INSERT INTO `supplier_information` VALUES ('2938774C8FE8894B6D72E9E6D7FC047C', '合格', '13312331566', '张飞', '李白', NULL, NULL, '标准物质与试剂耗材', '2023-05-19 16:53:50.690000', '2023-05-19 16:53:50.690000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '564100', '522128522219992102', '贵阳联创', '15598556565', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('846059789D50A9329C4521D0692C3C33', '不合格', '3123', '2312', '123', NULL, NULL, '1231', '2023-05-19 17:31:41.638000', '2023-05-19 17:31:41.638000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '123', '2313', '12313', '1231', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('C235847FB9A72EC1BFEAF659084873F1', '合格', '2312', '31231', '312312', NULL, NULL, '12312', '2023-05-19 17:30:21.858000', '2023-05-19 17:30:21.858000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '23123', '12', '11231', '3123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `supplier_information` VALUES ('F227A125D3DF9F5CAE675A6746A13766', '合格', '31', '23', '2312', NULL, NULL, '123', '2023-05-19 17:34:45.404000', '2023-05-19 17:34:45.404000', 'BC1A096180973C5EA652C9787F5A155A', 'BC1A096180973C5EA652C9787F5A155A', '231', '2313', '1231', '31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_batch_list
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_batch_list`;
CREATE TABLE `warehousing_batch_list`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch` int(6) NULL DEFAULT NULL COMMENT '(批次)',
  `batch_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(批号)',
  `date_of_production` datetime(6) NULL DEFAULT NULL COMMENT '(生产日期)',
  `date_of_receipt` datetime(6) NULL DEFAULT NULL COMMENT '签收日期',
  `expiration_date` datetime(6) NULL DEFAULT NULL COMMENT '(有效日期)',
  `quantity` int(11) NULL DEFAULT NULL COMMENT '(数量)',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '(供应商ID)',
  `warning_value` int(11) NULL DEFAULT NULL COMMENT '(预警值)',
  `depositor_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '签收人\r\n',
  `warehousing_content_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '签收内容ID',
  `lattice_Id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '格子ID',
  `limit_date` varbinary(255) NULL DEFAULT NULL COMMENT '存储期限',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '位置信息',
  `batch_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收批次明细' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_batch_list
-- ----------------------------
INSERT INTO `warehousing_batch_list` VALUES ('3859182815EEAA4BCC131FF610F293DA', 1, '0001', '2023-05-09 00:00:00.000000', '2023-05-19 17:08:58.766000', '2023-05-20 00:00:00.000000', 2, '2023-05-19 17:08:59.003000', '2023-05-19 17:08:59.003000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '63E878EC3896853D1AD9137EDD145B33', 'c0ec21cdc787546e33105fe0862230c1', 0x3132, '111', 'F6_623_2号柜_1-R-A-1-1', '7DF04E043D9D4D5254A733315CD3A86D');
INSERT INTO `warehousing_batch_list` VALUES ('765A77852428BF76A2E2D8653784BF16', 1, '00001', '2023-05-02 00:00:00.000000', '2023-05-19 16:56:58.333000', '2023-05-27 00:00:00.000000', 1, '2023-05-19 16:56:58.462000', '2023-05-19 16:56:58.462000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', '73CF33E1A9A72DE39BC2EBB2DCBA4BA8', 'c0ec21cdc787546e33105fe0862230c1', 0x3132, '无', 'F6_623_2号柜_1-R-A-1-1', '2A921A1CDE2533F06B7DF20FBD08B2A6');
INSERT INTO `warehousing_batch_list` VALUES ('FBABD8DEE2196A06E1E7C0B4FB8254BC', 1, '00001', '2023-05-09 00:00:00.000000', '2023-05-19 17:10:07.549000', '2023-05-26 00:00:00.000000', 1, '2023-05-19 17:10:07.662000', '2023-05-19 17:10:07.662000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', NULL, NULL, 'C27B8F582693B93596C21C1586A0845A', 'A21B33C7E5837A5EE6B177B8FB7EAE4F', '342b3fdc196ae183185c56f3ccdbedbf', 0x3132, '1', 'F6_623_2号柜_1-R-A-1-9', '5EE4A0AA35B93AA8293FF0715E770AFA');

-- ----------------------------
-- Table structure for warehousing_content
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_content`;
CREATE TABLE `warehousing_content`  (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `reagent_consumable_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `total_quantity` int(6) NULL DEFAULT NULL,
  `warehousing_quantity` int(6) NULL DEFAULT NULL,
  `catalogue_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime(6) NULL DEFAULT NULL,
  `update_time` datetime(6) NULL DEFAULT NULL,
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `warehousing_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `acceptance_record_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `supplier_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reagent_consumable_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `evaluation_form_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `purchase_list_details_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(6) NULL DEFAULT NULL,
  `warning_value` int(255) NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_content
-- ----------------------------
INSERT INTO `warehousing_content` VALUES ('2F06783148F5C12A9A7F9317552C04F8', '43C2F9B51E75B6C2CCBD34F1D038BA36', 123, 0, NULL, '2023-05-19 17:37:36.112000', '2023-05-19 17:48:06.763000', 'C27B8F582693B93596C21C1586A0845A', 'BC1A096180973C5EA652C9787F5A155A', 'D1EFC3D2AB2954FBA9CC83131235FF36', NULL, 'C235847FB9A72EC1BFEAF659084873F1', 'MDA-19', NULL, 'ACEEE545F810438620B02419BEEA91D8', NULL, NULL, '6921168511280');
INSERT INTO `warehousing_content` VALUES ('63E878EC3896853D1AD9137EDD145B33', '6D0AB431690B10D19A42C4E3714A0FC2', 2, 2, NULL, '2023-05-19 16:54:33.589000', '2023-05-19 17:10:07.664000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9BAC3B49BBFA1BDB9A888F1814BF9B47', '295B610CC9ACE649B6D40DE13AD37F79', '2938774C8FE8894B6D72E9E6D7FC047C', '芬特明', NULL, 'B531F159F175565C839DC5AF4CD3A235', 1, NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('73CF33E1A9A72DE39BC2EBB2DCBA4BA8', 'EAD5487E2EBB221D919920922ACAF56F', 1, 1, NULL, '2023-05-19 16:54:33.589000', '2023-05-19 17:10:07.665000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9BAC3B49BBFA1BDB9A888F1814BF9B47', 'F77764C0E945B9A13849E02255803DA8', '2938774C8FE8894B6D72E9E6D7FC047C', '乙醇', NULL, '0A6B17B467EF9D1A9D48FE691C91BD67', 1, NULL, NULL);
INSERT INTO `warehousing_content` VALUES ('A21B33C7E5837A5EE6B177B8FB7EAE4F', '148FDF8E823C70BB0BB063E949C580F0', 1, 1, NULL, '2023-05-19 16:54:33.589000', '2023-05-19 17:10:07.667000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '9BAC3B49BBFA1BDB9A888F1814BF9B47', 'AB9B7B29AE2C624D854F431331C27E08', '2938774C8FE8894B6D72E9E6D7FC047C', '硫酸铵', NULL, 'E13EB1CA2271A037790DC6B71C97DD7A', 1, NULL, NULL);

-- ----------------------------
-- Table structure for warehousing_record_form
-- ----------------------------
DROP TABLE IF EXISTS `warehousing_record_form`;
CREATE TABLE `warehousing_record_form`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `purchase_list_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购清单ID',
  `status` int(6) NULL DEFAULT NULL COMMENT '状态',
  `create_time` datetime(6) NULL DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime(6) NULL DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '--修改人',
  `purchase_number` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '采购编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '签收记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of warehousing_record_form
-- ----------------------------
INSERT INTO `warehousing_record_form` VALUES ('9BAC3B49BBFA1BDB9A888F1814BF9B47', '13127A78829800B5AEB06B8CDD1784A3', 2, '2023-05-19 16:54:33.585000', '2023-05-19 17:10:07.680000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19入库任务');
INSERT INTO `warehousing_record_form` VALUES ('D1EFC3D2AB2954FBA9CC83131235FF36', '376D7CDB9878543469D866E0F3A06395', 0, '2023-05-19 17:37:36.112000', '2023-05-19 17:37:36.112000', 'C27B8F582693B93596C21C1586A0845A', 'C27B8F582693B93596C21C1586A0845A', '2023-05-19入库任务');

-- ----------------------------
-- Procedure structure for pro_code_generator
-- ----------------------------
DROP PROCEDURE IF EXISTS `pro_code_generator`;
delimiter ;;
CREATE PROCEDURE `pro_code_generator`()
begin
	SELECT COUNT(*) INTO @menucount FROM sys_menu WHERE menu="reagent";
	-- SELECT @menucount;
	set @parentId = replace(UUID(),"-","");
	SELECT MAX(sort) into @maxsort FROM sys_menu WHERE parent_id = "root";
	if ((SELECT @menucount)>0) then
		SELECT menu_id INTO @parentId FROM sys_menu WHERE menu="reagent";
	else
		INSERT into `sys_menu` ( `parent_id`, menu_id, `path`, menu,  `permission_id`, `type`, `icon`, `sort`, `name`)
    		values ( 'root', @parentId, '/reagent', 'reagent', '', '0', 'icon-bangzhushouji', @maxsort+10,'reagent管理');
	end if;
end
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;
